<?php
/**
 * Archive By Category
 *
 * $Id: category.php, 2004/03/28 01:29:33 Exp $
 */

$cd = '.';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once $cd . '/include/fnc_logs.inc.php';

session_control();

// XHTML Header
display_header();

// Search Form
display_log_search_form();

display_menu_list($cd, $admin, $menu_list, $root_path);

// Pick up archives by date
$sql = "SELECT DATE_FORMAT(date,'%Y-%m') as date FROM {$log_table} WHERE draft = 0 GROUP BY date ORDER BY date";
if ($date_order_desc == 'yes') {
    $sql.= " DESC";
}
archive_by_date($sql);

// Category List
if ($show_categories == 'yes') {
    if ($category_style == 1) {
        display_categories_menu($show_cat_num, $log_table, $enable_unicode, $mysql_lang);
    } elseif ($category_style == 2) {
        display_categories_list($show_cat_num, $log_table, $enable_unicode, $mysql_lang);
    }
}

// CSS Switcher
if ($use_css_switch == 'yes') { display_css_switch($styles); }

// Menu Bottom
display_menu_bottom($use_rss, $cd, $rss_feed);

// For Secure
against_xss();

// Prepare Search Query
if ((isset($_GET['k'])) || (isset($_GET['p'])) || (isset($_GET['d'])) || (isset($_GET['pn'])) || (isset($_GET['c']))) {
/*
    if ($enable_unicode == 'on') {
        $key = mb_convert_encoding($_GET['k'], $mysql_lang, "auto");
    } else {
        $key = $_GET['k'];
    }
*/  

    if ($enable_unicode == 'on') {
        $key = mb_convert_encoding(trim($_GET['k']), $mysql_lang, "auto");
    } else {
        $key = trim($_GET['k']);
    }

    $page  = $_GET['p'];
    $date  = $_GET['d'];
    
    $sql  = 'SELECT'.
            " id,href,name,date,DATE_FORMAT(mod,'%Y-%m-%d %T') as mod,comment,category".
            ' FROM '.$log_table.' WHERE (draft = 0) AND ('.
            "category REGEXP BINARY '^".$key."$|^".$key.",|,".$key.",|,".$key."$|,?".$key.",|,?".$key."$')";
//            "category LIKE '%".$key."%')";
    if ($date != '') { $sql .= " AND (date LIKE '".$date."%')"; }
    $sql .= " ORDER BY date DESC LIMIT {$page}, {$pagemax} ";
    
    //=======================
    // SUBMIT SEARCH QUERY
    //=======================
    if ($res = mysql_query($sql)) {
        //query results --- count all hit data
        $countsql  = "SELECT id FROM {$log_table} WHERE (draft = 0) AND (";
        $countsql .= "category REGEXP BINARY '^".$key."$|^".$key.",|,".$key.",|,".$key."$|,?".$key.",|,?".$key."$')";
//        $countsql .= "category LIKE '%".$key."%')";
        if ($date != '') { $countsql .= " AND (date LIKE '".$date."%')"; }
        $hitres = mysql_query($countsql);
        $hitrow = mysql_num_rows($hitres);
    
        // Show the hit data info.
        $rows = mysql_num_rows($res);
        if ($enable_unicode == 'on') {
            $key = mb_convert_encoding($key, "UTF-8", $mysql_lang);
        }
        if ($key != '') {
            echo '<h2 class="archive-title">'.$lang['category'].
                 ' : '.htmlspecialchars(stripslashes($key))."</h2>\n<p>\n".
                 $lang['categ_list'];
            
            $disp_page = $page + 1;
            $disp_rows = $page + $rows;
            echo '<span class="search-res">'.$hitrow.'</span> '.$lang['hit_msg'].'&nbsp;'.
                 '<span class="search-res">'.$disp_page.' - '.$disp_rows.'</span> / '.
                 '<span class="search-res">'.$hitrow."</span>\n";
            if ($date != '') {
                echo '&nbsp;&nbsp;&nbsp;&nbsp;'.$lang['by_month'].'：<span class="search-res">'.$date."</span>\n</p>\n";
            } else {
                echo "</p>\n";
            }
        }
        //=======================
        // SHOW THE RESULTS!
        //=======================
        if ($hitrow) {
            display_page_flip($field = 'category', $keyword = $key, $case = '1', $hit_row = $hitrow);
//            display_page_flip($field = 'category', $keyword = urlencode($key), $case = '1', $hit_row = $hitrow);
            
            //------------- WITH-DATE-TITLE MODE --------------
            if ($show_date_title == 'yes') {
                $row = mysql_fetch_array($res);
                // $title_date = substr($row['date'], 0, 10);
                date_format($date_style, $row_name = 'date');
                $title_date = $formatted_date;
                echo '<h2 class="date-title">'.$title_date."</h2>\n";
                do {
                    //$tmp_date = substr($row['date'], 0, 10);
                    date_format($date_style, $row_name = 'date');
                    $tmp_date = $formatted_date;
                    if ($title_date != $tmp_date) {
                        $title_date = $tmp_date;
                        echo '<h2 class="date-title">'.$title_date."</h2>\n";
                    }
                    convert_to_utf8($enable_unicode, $row, $mysql_lang);
                    display_article_box($row, $anchor);
                } while ($row = mysql_fetch_array($res));
            
            //------------- WITHOUT-DATE-TITLE MODE --------------
            } else {
                while ($row = mysql_fetch_array($res)) {
                    convert_to_utf8($enable_unicode, $row, $mysql_lang);
                    display_article_box($row, $anchor);
                }
            }
            display_page_flip($field = 'category', $keyword = $key, $case = '1', $hit_row = $hitrow);
//            display_page_flip($field = 'category', $keyword = urlencode($key), $case = '1', $hit_row = $hitrow);
        } else {
            echo '<h3>'.$lang['no_matches']."</h3>\n";
        }
    }
} else {
    echo '<h2>'.$lang['search']."</h2>\n".
         '<p>'.$lang['status_idle']."</p>\n";
    footer();
    exit;
}
footer();
?>
