<?php
/**
 * Add New Topic
 *
 * $Id: forum/added.php, 2004/04/28 20:42:09 Exp $
 */

$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once './include/fnc_search.inc.php';
require_once './include/fnc_forum.inc.php';

if (isset($_POST['user_name'], $_POST['user_email'], $_POST['title'],
          $_POST['comment'], $_POST['color'], $_POST['user_pass'], $_POST['refer_id'])) {

    $user_name = insert_safe($_POST['user_name']);
    $mail      = insert_safe($_POST['user_email']);
    $title     = insert_safe($_POST['title']);
    $comment   = insert_safe($_POST['comment']);
    $color     = insert_safe($_POST['color']);
    $user_pass = insert_safe($_POST['user_pass']);
    $refer_id  = insert_safe(intval($_POST['refer_id']));
    // Validate E-Mail
    if ($mail) {
        switch(valid_email($mail)) {
            case 0:
                break;
            case 1:
                display_header();
                display_forum_search_form();
                display_menu_list($cd, $admin = '', $menu_list, $root_path);
                display_menu_bottom($use_rss = 'no', $cd, $rss_feed);
                echo "<h2>Ooops.</h2>\n<h3>".SHOW_ERROR_ICON.'&nbsp;&nbsp;'.
                     $lang['invalid_email_msg'].
                     "</h3>\n";
                footer();
                exit;
                break;
        }
    }
    // Matching a valid User password
    if (!preg_match('/^[0-9a-zA-Z]{4,16}$/i', $_POST['user_pass'])) {
        display_header();
        display_forum_search_form();
        display_menu_list($cd, $admin = '', $menu_list, $root_path);
        display_menu_bottom($use_rss = 'no', $cd, $rss_feed);
        echo '<h2>'.$lang['invalid_pass'].'</h2>'.
             '<p>'.SHOW_ERROR_ICON.'&nbsp;'.$lang['invalid_pass_msg'].'</p>';
        footer();
        exit;
    } elseif ($_POST['comment'] == '') {
        display_header();
        display_forum_search_form();
        display_menu_list($cd, $admin = '', $menu_list, $root_path);
        display_menu_bottom($use_rss = 'no', $cd, $rss_feed);
        echo "<h2>Ooops.</h2>\n<h3>".SHOW_ERROR_ICON.'&nbsp;&nbsp;'.$lang['no_comment']."</h3>\n";
        footer();
        exit;
    } else {
        // get remote host info
        if (!isset($_SERVER['REMOTE_HOST'])) {
            //$_SERVER['REMOTE_HOST'] = @gethostbyaddr($_SERVER['REMOTE_ADDR']);
            //$re_host = $_SERVER['REMOTE_HOST'];
            $re_host = $_SERVER['REMOTE_ADDR'];
        } else {
            $re_host = $_SERVER['REMOTE_HOST'];
        }
        
        if (isset($_POST['user_uri'])) {
            $user_uri = $_POST['user_uri'];
        }
    
        // check the max value of thread ID in database, and then 
        // plus "1" to the ID of the new thread.
        $get_id_sql    = 'SELECT MAX(tid) FROM p_forum'; 
        $max_id_res    = mysql_query($get_id_sql);
        $max_id_row    = mysql_fetch_array($max_id_res);
        $new_tid       = $max_id_row[0] + 1;
    
        // unicode conversion
        if ($enable_unicode == 'on') {
            /*
            $user_name = mb_convert_encoding($user_name, $mysql_lang, "UTF-8");
            $title     = mb_convert_encoding($title, $mysql_lang, "UTF-8");
            $comment   = mb_convert_encoding($comment, $mysql_lang, "UTF-8");
            */
            mb_convert_variables($mysql_lang, "UTF-8", $user_name, $title, $comment);
        }
    
        $sql = "INSERT INTO p_forum(tid, title, comment, user_name, user_pass, user_mail, user_uri, color, date, user_ip, refer_id) ".
               "VALUES('$new_tid', '$title', '$comment', '$user_name', md5('$user_pass'), '$mail', '$user_uri', '$color', CURRENT_TIMESTAMP(), '$re_host', '$refer_id')";
        $res = mysql_query($sql);
        if ($res) {
            header('Location: http://' . $_SERVER['HTTP_HOST'] .$root_path. 'forum/added_ok.php');
            exit;
        }
    }
} else {
    header('Location: http://' . $_SERVER['HTTP_HOST'] .$root_path. 'forum/index.php');
    exit;
}
?>