<?php
/**
 * Forum Search Routine
 * 
 * $Id: search.php, 2004/02/21 16:06:42 Exp $
 */

$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once $cd . '/include/search_plus.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once './include/fnc_search.inc.php';
require_once './include/fnc_forum.inc.php';

against_xss();

// XHTML Header
display_header();

// Forum Search Form
display_forum_search_form();

$sql = "SELECT DATE_FORMAT(date,'%Y-%m') as date FROM p_forum GROUP BY date ORDER BY date";
if ($date_order_desc == 'yes') {
    $sql.= ' DESC';
}

display_menu_list($cd, $admin = '', $menu_list, $root_path);

// Archive Form
archive_by_month($sql);

// CSS Switcher
if ($use_css_switch == 'yes') { display_css_switch($styles); }

// Menu Bottom
display_menu_bottom($use_rss = 'no', $cd, $rss_feed);


//=====================================================
// PREPARE SEARCH QUERY
//=====================================================

//against_xss();

echo '<p　class="flip-menu"><a href="./index.php">'.$lang['topic_list'].'</a>&nbsp;&nbsp;'.
     '<a href="./add.php">'.$lang['add_new'].'</a>&nbsp;&nbsp;<strong>ログを表示</strong></p>';

if (isset($_GET['k'], $_GET['p'], $_GET['d'], $_GET['c'], $_GET['pn'])) {
    // To check if keyword value is not too short
    if (($_GET['k'] != '') && (strlen($_GET['k']) <= 2 )) {
         keyword_error($error_type = '2');
         exit;
    }
    if ($enable_unicode == 'on') {
        $keyword = mb_convert_encoding(trim($_GET['k']), $mysql_lang, "auto");
    } else {
        $keyword = trim($_GET['k']);
    }
    $page  = $_GET['p'];
    $date  = $_GET['d'];
    $case  = $_GET['c'];
    
    if (($page != '') & ($case != '')) {
        if (($keyword == '') && ($date == '')) {
            no_keywords_error();
            exit;
        } else {
            $sql = 'SELECT'.
                   ' id, tid, parent_key, title, comment, user_name, user_pass, user_uri, user_mail, color, date,'.
                   " DATE_FORMAT(mod, '%Y/%m/%d %T') as mod".
                   ' FROM p_forum';            
            if ($date != "all") {
                $sql .= ' WHERE (';
            }
            
        }
        if ($keyword != '') { // keyword search
            if (!strrchr($keyword, " ")) {
                $keys = explode(",", $keyword);
                $and_or = 'OR';
            } else {
                $keys = explode(" ", $keyword);
                $and_or = 'AND';
            }
            if ($case == 1) {
                $sql .= 'BINARY ';
            }
            $sql .= "title LIKE '%".$keys[0]."%' OR ";
            if ($case == 1) {
                $sql .= 'BINARY ';
            }
            $sql .= "comment LIKE '%".$keys[0]."%')";
            for ($i = 1; $i < sizeof($keys); $i++) {
                $sql .= $and_or. ' (';
                if ($case == 1) {
                    $sql .= 'BINARY ';
                }
                $sql .= "title LIKE '%".$keys[$i]."%' OR ";
                if ($case == 1) {
                    $sql .= 'BINARY ';
                }
                $sql .= "comment LIKE '%".$keys[$i]."%')";
            }
			if ($date != "all") {
            $sql .= " AND (date LIKE '".$date."%')";
			}
        } elseif ($keyword == '') { // monthly search
			if ($date != "all") {
            $sql .= "date LIKE '".$date."%')";
			}
        }
        $sql .= " ORDER BY id DESC LIMIT {$page}, {$pagemax} ";
    } else {
        header('Location: http://' . $_SERVER['HTTP_HOST'] .$root_path. 'search_plus.php');
        exit;
    }  
 
    //=====================================================
    // SUBMIT SEARCH QUERY
    //=====================================================
    if ($res = mysql_query($sql)) {
        //query results --- count all hit data
        if (!strrchr($keyword, " ")) {
            $keys = explode(",", $keyword);
            $and_or = 'OR';
        } else {
            $keys = explode(" ", $keyword);
            $and_or = 'AND';
        }
        $count_sql = 'SELECT id FROM p_forum WHERE (';
        if ($case == 1) {
            $count_sql .= 'BINARY ';
        }
        $count_sql .= "title LIKE '%".$keys[0]."%' OR ";
        if ($case == 1) {
            $count_sql .= 'BINARY ';
        }
        $count_sql .= "comment LIKE '%".$keys[0]."%')";        
        for ($i = 1; $i < sizeof($keys); $i++) {
            $count_sql .= $and_or . ' (';
            if ($case == 1) {
                $count_sql .= 'BINARY ';
            }
            $count_sql .= "title LIKE '%".$keys[$i]."%' OR ";
            if ($case == 1) {
                $count_sql .= 'BINARY ';
            }
            $count_sql .= "comment LIKE '%".$keys[$i]."%')";
        }
		if ($date != "all") {
            $count_sql .= " AND (date LIKE '".$date."%')";
		}
        $hit_res = mysql_query($count_sql);
        $hit_row = mysql_num_rows($hit_res);
    
        // Show the hit data info.
        $rows = mysql_num_rows($res);
        if ($enable_unicode == 'on') {
            $keyword = mb_convert_encoding($keyword, "UTF-8", $mysql_lang);
        }
        if ($keyword == '') {
            if ($date != '') {
                echo '<h2 class="archive-title">';
                if ($date == 'all') {
                    echo $lang['all_data'];
                } else {
                    echo $date;
                }
                echo "</h2>\n";
                //echo '<h2 class="archive-title">'.$date."</h2>\n";
            } else {
                echo '<h2 class="archive-title">'.$lang['all_data']."</h2>\n";
            }
            $disp_page = $page + 1;
            $disp_rows = $page + $rows;
            echo '<p class="search-res">'.
                 '<span class="search-res">'.$hit_row.'</span>'.$lang['show_log'].'&nbsp;'.
                 '<span class="search-res">'.$disp_page.' - '.$disp_rows.'</span> / '.
                 '<span class="search-res">'.$hit_row.'</span></p>';
        } elseif ($keyword != '') {
            echo '<h2 class="archive-title">'.$lang['keyword'].
                 ' : '.htmlspecialchars(stripslashes($keyword))."</h2>\n<p>\n";
            $disp_page = $page + 1;
            $disp_rows = $page + $rows;
            echo '<span class="search-res">'.$hit_row.'</span> '.$lang['hit_msg'].'&nbsp;'.
                 '<span class="search-res">'.$disp_page.' - '.$disp_rows.'</span> / '.
                 '<span class="search-res">'.$hit_row."</span>\n";
            if ($date != '') {
                echo '&nbsp;&nbsp;&nbsp;&nbsp;'.$lang['by_month'].': <span class="search-res">'.$date."</span>\n</p>\n";
            } else {
                echo "</p>\n";
            }
        }
        //=================================================
        // SHOW THE RESULTS!
        //=================================================
        if ($hit_row) {
            display_page_flip();
            while ($row = mysql_fetch_array($res)) {
                
                // sanitize the results before highlight it
                $row['title']      = sanitize($row['title']);
                $row['comment']    = sanitize($row['comment']);
                $row['user_name']  = sanitize($row['user_name']);
                $row['user_uri']   = sanitize($row['user_uri']);
                $row['date']       = sanitize($row['date']);
                $row['parent_key'] = sanitize(intval($row['parent_key']));
                
                // highlight the safe & sanitized strings
                hit_key_highlight();
                
                convert_to_utf8($enable_unicode, $row, $mysql_lang);
                display_forum_log_box($row, $anchor);
            }
            display_page_flip();
        } else {
            echo '<h3>'.$lang['no_matches']."</h3>\n";
        }
    }
} else {
    echo '<h2>'.$lang['search']."</h2>\n".
         '<p>'.$lang['status_idle']."</p>\n";
}
footer();
?>
