<?php
/**
 * Functions for Individual page only
 *
 * $Id: fnc_individual.inc.php, 2004/03/01 19:55:54 Exp $
 */

//================================================================
// INDIVIDUAL ARTICLE PAGE
//================================================================
/**
 * Article URI Generator
 */
function display_article_uri($blog_title, $root_path, $row, $id) 
{
    global $lang;
    $row['name'] = htmlspecialchars($row['name']);
    echo <<<EOD
<fieldset> 
<legend accesskey="a">{$lang['log_uri']}</legend>
XHTML Code :<br />
<pre>
&lt;a href="http://{$_SERVER['HTTP_HOST']}{$root_path}article.php?id={$id}" title="{$blog_title} : {$row['name']}" &gt;
{$row['name']}
&lt;/a&gt;
</pre>
</fieldset>
EOD;
}




/**
 * Article URI Generator for Binary File
 */
function display_binary_uri($blog_title, $enable_unicode, $root_path, $row, $id, $mysql_lang) 
{
    global $lang;
    $row['binname'] = htmlspecialchars($row['binname']);
    echo <<<EOD
<fieldset> 
<legend accesskey="a">{$lang['log_uri']}</legend>
<form>
<p><input value="http://{$_SERVER['HTTP_HOST']}{$root_path}article_bin.php?id={$id}" size="60" class="uri" /></p>
<h4>X/HTML code:</h4>
<textarea rows="5" cols="60" class="uri-code" />
&lt;a href="http://{$_SERVER['HTTP_HOST']}{$root_path}article_bin.php?id={$id}" title="{$blog_title} : {$row['binname']}" &gt;
{$row['binname']}
&lt;/a&gt;
</textarea>
</form>
</fieldset>
EOD;
}


/**
 * Display By ID
 */
function display_by_id_form($display_by_id_script) 
{
    echo <<<EOD
<h2>Find By ID</h2>
<p>No ID specified. Please enter the ID.</p>
<form action="./{$display_by_id_script}.php" method="get">
<p>
<input type="text" name="id" />
<input type="submit" value="Go" />
</p>
</form>
EOD;
}


/**
 * Edit Aritcle Directly (Option)
 */
function edit_this_log_direct($admin_dir_name, $row, $id, $mode) 
{
    global $lang, $cd;
    echo <<<EOD
<form method="post" action="{$cd}/{$admin_dir_name}/update.php">
<fieldset> 
<legend accesskey="a">{$lang['mod_del']}</legend>
<input type="hidden" name="mode" value="{$mode}" />
{$lang['user_name']}&nbsp;:&nbsp;
<input type="text" tabindex="6" accesskey="u" name="post_username" size="20" class="bordered" /><br />
{$lang['user_pass']}&nbsp;:&nbsp;
<input type="password" tabindex="7" accesskey="p" name="post_password" size="20" class="bordered" /><br />
{$lang['log']} ID&nbsp;:&nbsp;
<input type="text" name="id" value="{$id}" tabindex="8" accesskey="i" size="12" class="bordered" />
<p><input type="submit" tabindex="9" accesskey="l" value="{$lang['login']}" /></p>
</fieldset>
</form>
EOD;
}



// Deny direct access to this file
if (stristr($_SERVER['PHP_SELF'], ".inc.php")) {
    header("HTTP/1.1 301 Moved Permanently");
    header("Location: http://" .$_SERVER['SERVER_NAME']. dirname($_SERVER['REQUEST_URI']). "/index.php");
}
?>