<?php
/**
 * LOCALIZABLE STRINGS - ITALIAN
 * @author Gabriele Caniglia <http://www.caniglia.info>
 *
 * $Id: lang/italian.inc.php, 2004/03/25 19:11:40 Exp $
 */

//====================
// INDEX PAGE
//====================
$lang['prev_logs']   = 'Previous Logs';
$lang['by_date']     = 'By Date';
$lang['by_category'] = 'By Category';

//====================
// FORMS
//====================
// Shared
$lang['go']          = ' Vai ';
$lang['clear']       = 'Cancella';
$lang['archives']    = 'Archivio';
$lang['all']         = 'Tutto';

// Search Form
$lang['title']       = 'Titolo';
$lang['category']    = 'Categoria';
$lang['comment']     = 'Commento';
$lang['uri']         = 'URI';
$lang['date']        = 'Data';
$lang['advanced_search'] = 'Ricerca avanzata';

$lang['search_field']        = 'Campo di Ricerca';
$lang['select_search_field'] = 'Seleziona il Campo di Ricerca';
$lang['enter_keywords']      = 'Inserisci la chiave di ricerca e premi invio.';
$lang['too_short_keyword']   = 'Chiave troppo corta. Inserisci almeno 2 byte.';
$lang['show_archives']       = 'Visualizza gli archivi per mese.';
$lang['all_words']    = 'che contengano tutte le seguenti parole';
$lang['at_least_one'] = 'che contengano una qualunque delle seguenti parole';
$lang['case']         = 'Case';
$lang['insensitive']  = 'Insensitive';
$lang['sensitive']    = 'Sensitive';
$lang['between']    = 'tra';
$lang['and']        = ' e ';

// CSS Switcher
$lang['switch_css']  = 'Cambia CSS';
$lang['css_off']     = 'Nessun CSS';

// Upload
$lang['file_name']   = 'Nome File';
$lang['file_type']   = 'Tipo File';
$lang['file_size']   = 'Dimensione File';
$lang['temp_name']   = 'Nome File Temp';
$lang['error_msg']   = 'Errore';
$lang['upload_ok']   = 'Upload: OK';
$lang['no_files_added'] = 'File inviato: Nessuno';
$lang['resource_dir'] = 'Directory delle Risorse';

// Show Data
$lang['no_posts']    = 'Currently no posts.';
$lang['no_files']    = 'Currently no files.';
$lang['recent']      = ' Recenti ';
$lang['previous']    = ' Precedenti ';
$lang['logs']        = ' Log.';
$lang['files']       = ' File.';
$lang['post']        = 'Inviato';
$lang['mod']         = 'Modificato';
$lang['log']         = 'Log';
$lang['showing']     = 'Visualizzo: ';

// Search Results
$lang['all_data']    = 'TUTTI I LOG';
$lang['keyword']     = 'Parola chiave';
$lang['hit_msg']     = 'log   Visualizzo:';
$lang['show_log']    = ' log. Visualizzo:';
$lang['uri_hit']     = 'Ho cercato: <span class="search-res">URI</span>   Ho trovato corrospondenze in';
$lang['categ_hit']   = 'Ho cercato: <span class="search-res">Categoria</span>   Ho trovato corrospondenze in';
$lang['categ_list']  = 'Corrispondenze in questa categoria: ';
$lang['comment_hit']  = 'Ho cercato: <span class="search-res">Commenti</span>   Ho trovato corrospondenze in';
$lang['title_hit']   = 'Ho cercato: <span class="search-res">Titolo</span>  Ho trovato corrospondenze in';
$lang['title_comment_hit']   = 'Ho cercato: <span class="search-res">Titolo</span>&amp;<span class="search-res">Commenti</span>  Ho trovato corrospondenze in';
$lang['binname_hit'] = 'Ho cercato: <span class="search-res">Nome File</span>   Ho trovato corrospondenze in';
$lang['bintype_hit'] = 'Ho cercato: <span class="search-res">Tipo File</span>   Ho trovato corrospondenze in';
$lang['bintype_list']= 'Corrispondenze per questo tipo di file: ';
$lang['by_month']    = 'Mese';
$lang['no_matches']  = 'Nessuna corrispondenza.';
$lang['search']      = 'Cerca';
$lang['status_idle'] = 'Stato: inattivo…';
$lang['prev']        = 'Prev';
$lang['next']        = 'Next';

$lang['log_uri']     = 'URI di questo Articolo';
$lang['flip_pages']  = 'Sfoglia pagine';
$lang['flip']        = 'Sfoglia';

//================================
// ADMIN MODE
//================================
$lang['admin']           = 'MODALITÀ ADMIN';
$lang['analyze']         = 'Accedi ad Analyze';
$lang['edit']            = 'MODIFICA';
$lang['select_mode']     = 'Seleziona Modalità';
$lang['user_name']       = 'Nome Utente';
$lang['user_pass']       = 'Password Utente';
$lang['login']           = 'Accedi';
$lang['logout']          = 'DISCONNETTI';
$lang['login_user']      = 'LOGIN USER';
$lang['date_and_time']   = 'Date &amp; Time';
$lang['use_custom_date'] = 'Use this date &amp; time';
$lang['add_new']         = 'NUOVO POST';
$lang['mod_del']         = 'Modifica o Elimina';
$lang['send_file']       = 'Invia File';
$lang['update_bin']      = 'Modifica Info Binaria';
$lang['binary']          = 'Binaria';
$lang['no_update_timestamp'] = 'Non aggiornare la data di modifica';
$lang['post_log']        = 'Invia';
$lang['post_file']       = 'Invia';
$lang['preview']         = 'Preview';
$lang['publish']         = 'Publish';
$lang['published']       = 'This article has been published.';
$lang['file_published']  = 'This file has been published.';
$lang['draft']           = 'Draft';
$lang['draft_list']      = 'DRAFT LIST';
$lang['draft_update']    = 'Update this draft';
$lang['draft_destroy']   = 'Destroy this draft';
$lang['use_draft_time']  = 'Use draft time as post time';
$lang['draft_mod_del']   = 'Modfy or Destroy Draft';
//Root Mode
$lang['create_accounts']     = 'CREA UN NUOVO ACCOUNT';
$lang['account_manager']     = 'ACCEDI ALLA GESTIONE ACCOUNT';
$lang['root_user_only']      = 'SOLO UTENTE ROOT';
$lang['enter_mysql_account'] = 'Inserisci l’Account MySQL';
$lang['login_success']       = 'Il login ha avuto successo';
$lang['user_list']           = 'Visualizza l’elenco degli utenti';
$lang['regist_date']         = 'Registrato';
$lang['new_user_account']    = 'Nuovo Account Utente';
$lang['invalid_name']        = 'Nome Utente non valido';
$lang['invalid_name_msg']    = 'Il formato del tuo Nome Utente non è valido';
$lang['invalid_pass']        = 'Password non valida';
$lang['invalid_pass_msg']    = 'Il formato della tua password non è valido';
$lang['invalid_email']       = 'E–mail non valida';
$lang['invalid_email_msg']   = 'Il formato del tuo indirizzo e–mail non è valido.';
$lang['no_emal_host_msg']    = 'No E-Mail host out there.';
$lang['create']              = 'Crea';
$lang['new_user_created']    = 'NUOVO UTENTE CREATO';
$lang['new_user_created_success'] = 'Il Nuovo Account è stato creato con successo.';
$lang['update_user_account'] = 'AGGIORNA UN ACCOUNT UTENTE';
$lang['enter_a_new_pass']    = 'Inserisci una nuova password';
$lang['save']                = 'SALVA';
$lang['account_updated']     = 'ACCOUNT AGGIORNATO';
$lang['account_updated_msg'] = 'L’Account è stato aggiornato con le nuove infomazioni.';
$lang['account_deleted']     = 'ACCOUNT ELIMINATO';
$lang['account_deleted_msg'] = 'Le informazioni sull’Account sono state eliminate.';

// User Auth Error Message
$lang['wrong_user']   = 'Utente errato.';
$lang['bad_req']     = 'Richiesta non valida.';
$lang['please']      = ', per favore.';

$lang['no_title']    = 'Nessun Titolo o robe del genere.';
$lang['no_f_name']   = 'Nessun nome di file o qualcosa del genere.';
$lang['no_uri']      = 'Nessun URI o robe del genere.';
$lang['no_category'] = 'Nessuna Categoria o robe del genere.';
$lang['no_comment']  = 'Nessun Commento o robe del genere.';

$lang['no_id']       = 'Nessun ID.';
$lang['cant_find']   = 'Impossibile trovare le informazioni';
$lang['log_added']   = 'Aggiunto nuovo Log.';
// $lang['updated']     = 'I DATI SONO STATI AGGIORNATI!';
// $lang['deleted']     = 'I DATI SONO STATI ELIMINATI!';
$lang['updated']     = ' has been UPDATED.';
$lang['deleted']     = ' has been DELETED.';
$lang['del_failed']  = 'NESSUN DATO ELIMINATO.';

$lang['check']       = 'Controlla';
$lang['check_index'] = 'Controlla Index Page';
$lang['file']        = 'File';
$lang['update']      = 'AGGIORNA';
$lang['delete']      = 'ELIMINA';
$lang['send_img']    = 'Invia immagini o file a';
$lang['none']        = 'None';

//================================
// System
//================================
$lang['sys_env']     = 'Ambiente Operativo';
$lang['db_info']     = 'Info sul DB';
$lang['db_name']     = 'Nome del DB';
$lang['log_entry']   = 'Numero dei Log';
$lang['file_entry']  = 'Numero dei file binari';
$lang['ui_info']     = 'UI Info';
$lang['css_cookie']  = 'Il cookie CSS Swithcer espira il';
$lang['info']        = 'Info';
$lang['manuals']     = 'Manuali';

$lang['system_admin']    = 'System Admin';
$lang['db_table_status'] = 'DB Table Status';
$lang['optimized_msg_1'] = 'Table &quot;';
$lang['optimized_msg_2'] = '&quot; has been optimized.';

$lang['table_name']    = 'Table Name';
$lang['records']       = 'Records';
$lang['size']          = 'Size';
$lang['overhead']      = 'Overhead'; 
$lang['optimize']      = 'Optimize';
$lang['select_all']    = 'Select All';
$lang['select_off']    = 'Off';
$lang['backup']        = 'Backup';
$lang['choose_table']  = 'Please choose the tables to optimize';

//================================
// Access Analyzer
//================================
$lang['year']          = 'Anno';
$lang['month']         = 'Mese';
$lang['day']           = 'Giorno';
$lang['total']         = 'Totale';
$lang['hits_per_hour'] = 'ACCESSI PER ORA';
$lang['remote_host']   = 'HOST REMOTO';
$lang['user_agent']    = 'USER AGENT';
$lang['referer']       = 'REFERER';
$lang['daily']         = 'ACCESSI DEGLI ULTIMI 1 MENSILI';
$lang['monthly']       = 'ACCESSI MENSILI';
$lang['yearly']        = 'ACCESSI PER ANNO';
$lang['downloads']     = 'DOWNLOADS';
$lang['del_all_logs']  = 'ELIMINA TUTTI I LOG';
$lang['logs_deleted']  = 'ELIMINATI TUTTI I LOG.';
$lang['magic_words']   = 'Parole Magiche';

//================================
// Forum
//================================
$lang['forum']         = 'Forum';
$lang['forum_admin']   = 'Forum Admin';
$lang['topic_list']    = 'Topic List';
$lang['topic']         = 'Topic';
$lang['thread']        = 'Thread';
$lang['reply']         = 'Reply';
$lang['back_to_topic'] = 'Back To Topic';
$lang['name']          = 'Name';
$lang['posted_by']     = 'Posted By';
$lang['private']       = 'Private';
$lang['optional']      = 'Optional';
$lang['last_modified'] = 'Last Modified';
$lang['topics']        = 'topics. ';
$lang['comments']      = 'comments. ';
$lang['comment_added'] = 'Your Comment Added';
$lang['replied']       = 'Replied';
$lang['quote']         = 'quote';
$lang['no_tbl_msg']    = 'No tables to run forum system';
$lang['install_or_update_msg']    = 'Please execute INSTALL or UPDATE';
$lang['install']       = 'INSTALL';
$lang['update']        = 'UPDATE';

if (stristr($_SERVER['PHP_SELF'], ".inc.php")){
	die("hello, world! :-p");
}
?>
