<h1><?= P_BLOG_VERSION ?> Manual</h1>
<hr />
<p class="flip-menu">
<a href="./index.php">TOP</a> <a href="./index.php?id=en_00">INDEX</a> <span class="cur-tab">CREATE YOUR OWN STYLE</span>
</p>
<hr />
<h2>CREATE YOUR OWN STYLE</h2>
<h3>Customizing CSS</h3>
<p>
P_BLOG is completery CSS-styled. 
So I recommend you to create your own style sheets.
If you are still not a CSS styler, just learn it. "IT'S FUN!":-).
</p>
<h3>Your own CSS : First STEP</h3>
<p>
Try duplicate the included CSS folder of your choice in "styles" folder
and change the value of the font or background color, 
width of the article-box, and so on. easy,huh?
</p>
<p>
If you want to add your original CSS name to CSS Switcher selector tags,
please check "Menu Bottom" function in "config.inc.php" file and rewrite it.
</p>
<p>CSS Switcher code is in <span class="red">user_config.inc.php</span>. If you want to add your original, find:</p>
<div class="command">
<pre><span class="blue">$styles = array(
    "W3C Silk"    =&gt; "w3c_silk",
    "Simple"      =&gt; "simple",
    "Rich Green"  =&gt; "green");</span>
</pre>
</div>
<p>and rewrite it. Notice that the pattern of array is &quot;<span class="blue">"NAME" =&gt; "CSS Folder Name"</span>&quot;.</p>
<h4><span class="red">CAUTION</span></h4>
<p>Don't <span class="blue">&quot;&nbsp;,&nbsp;(commna)&quot;</span> at the end of the last style. </p>

<h3>Your Own CSS : Second STEP</h3>
<p>You can also check XHTML structure of P_BLOG here &nbsp;&rarr;&nbsp;<a href="./index.php?id=xhtml_class_en">P_BLOG XHTML sturucture &amp; CSS classes</a></p>

<h3>CSS for different browsers</h3>
<p>P_BLOG can chek user agent and apply a different CSS. Here is the list:</p>
<ul>
<li><strong><span class="red">default.css </span></strong><br />
(for all browsers. *MUST*.)</li>
<li><strong><span class="blue">gecko_style.css </span></strong><br />
(for the browsers with Gecko lendering engine. Mozilla/Camino/Firefox, etc)</li>
<li><strong><span class="blue">khtml_style.css </span></strong><br />
(for the browsers with KHTML lendering engine. Safari 1.0〜, OmniWeb4.5〜, Konqueror, etc)</li>
<li><strong><span class="blue">win_ie_style.css</span></strong><br />
(Windows IE)</li>
</ul>
<h3>P_BLOG CSS Classes</h3>
<p>See &rarr; <a href="./contents/xhtml_class_chart.html">P_BLOG XHTML Structure &amp; Classes</a></p>
<hr />
