<h1><?= P_BLOG_VERSION ?> マニュアル</h1>
<hr />
<p class="flip-menu">
<a href="./index.php">TOP</a> <a href="./index.php?id=ja_00">索引</a> <span class="cur-tab">ディベロッパー向けTechNote</span></p>
<hr />
<h2>ディベロッパー向けTechNote</h2>
<ol>
 <li><a href="#about_include">「include」内の関数ファイル「fnc_*」ファイルについて</a></li>
</ol>
<h3><a id="about_include">「include」内の関数ファイル「fnc_*」ファイルについて</a></h3>
<p>各関数は「include」内の「fnc_*」で始まるファイルに記述しています。最も上位にある「include」ディレクトリに納められている「fnc_base.inc.php」が、基盤となる関数定義ファイルで、全てのページで使用される、</p>
<ul>
<li>データベース接続処理</li>
<li>XHTMLヘッダ部</li>
<li>メニュー部</li>
<li>フッタ部</li>
</ul>
<p>はここに記述されています。</p>
<p>各子ディレクトリ(例：admin, analyze, files, forum　など)にある「include」ファイルは、それ以下のディレクトリでしか使われないファイルを納めています。「images」も同様に、それ以下のディレクトリでしか使われない画像が納められています。</p>
<h4><span class="red">例</span></h4>
<ul>
 <li>「<span class="red">/include/</span>fnc_base.inc.php」<span class="blue">-- 全てのページで使用される関数</span>
  <ul>
   <li>「admin<span class="red">/include/</span>」 -- adminモードのみで使用される</li>
   <li>「analyze<span class="red">/include/</span>」-- analyzeでのみ使用される</li>
   <li>「files<span class="red">/include/</span>」-- filesでのみ使用される</li>
   <li>「forum<span class="red">/include/</span>」-- forumでのみ使用される</li>
  </ul>
 </li>
 <li>「<span class="red">/images/</span>」<span class="blue">-- 全てのページで使用される画像</span>
  <ul>
   <li>「admin<span class="red">/images/</span>」 -- adminモードのみで使用される</li>
   <li>「analyze<span class="red">/images/</span>」-- analyzeでのみ使用される</li>
   <li>「forum<span class="red">/images/</span>」-- forumでのみ使用される</li>
  </ul>
 </li>
</ul>

<hr />
<address>
This document is coded in valid XHTML and styled with <a href="http://www.w3.org/TR/REC-CSS2/">CSS2</a>.<br />
Copyright &copy; 2003-2004 <a href="http://pbx.homeunix.org/p_blog/index.php">P_BLOG Project</a>. All Rights Reserved.
</address>
<hr />

