<?php
/**
 * Root User (MySQL USer) Login
 *
 * $Id: admin/root/root_login.php, 2004/02/14 23:12:04 Exp $
 */

$cd = '../..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once '../include/fnc_admin.inc.php';

if ($use_session_db == 'yes') {
    require_once '../db_session.php';
} else {
    session_name($p_blog_root_sess_name);
    session_start();
}

// Initialize session variables
$_SESSION['root_admin_login'] = 0;
$_SESSION['root_user_name']   = 0;
$_SESSION['root_user_pass']   = 0;

$_SESSION['user_name'] = 0;

// XHTML Header
display_header();
            
if (isset($_POST['mysql_user'], $_POST['mysql_pass'])) {
    $mysql_user = addslashes($_POST['mysql_user']);
    $mysql_pass = md5($_POST['mysql_pass']);
    if (($mysql_user == $user) && ($mysql_pass == md5($password))) {
        if ($_SESSION['root_admin_login'] == '') {
            $_SESSION['root_user_name']   = $mysql_user;
            $_SESSION['root_user_pass']   = $mysql_pass;
            $_SESSION['root_admin_login'] = TRUE;
        }
        if ($_SESSION['root_admin_login'] == 1) {
            display_menu_list($cd, $admin = 'yes', $menu_list, $root_path);
            display_menu_bottom($use_rss = '', $cd, $rss_feed);
            echo '<h2><img src="../images/accounts.png" width="35" height="23" alt="" />&nbsp;&nbsp;'.$lang['login_success'].'</h2>'.
                 '<h3>'.$lang['login_user'].' : '.$_SESSION['root_user_name'].'</h3>'.
                 '<p>&rarr;&nbsp;<a href="./user_list.php">'.$lang['user_list'].'</a></p>'.
                 '<p>&rarr;&nbsp;<a href="./user_regist.php">'.$lang['create_accounts'].'</a></p>';
            if ($use_session_db == 'yes') {
                display_login_session($cd);
            }
        } else {
            display_menu_list($cd, $admin = 'yes', $menu_list, $root_path);
            display_menu_bottom($use_rss = '', $cd, $rss_feed);
            echo 'OUT OF SESSION.';
        }
    } else {
        display_menu_list($cd, $admin = 'yes', $menu_list, $root_path);
        display_menu_bottom($use_rss = '', $cd, $rss_feed);
        bad_req_error();
        exit;
    }
} else {
    display_menu_list($cd, $admin = 'yes', $menu_list, $root_path);
    display_menu_bottom($use_rss = '', $cd, $rss_feed);
    echo '
    <h2><img src="../images/accounts.png" width="35" height="23" alt="" />&nbsp;&nbsp;'.$lang['account_manager'].'</h2>
    <h3><img src="../../images/warning_hand.png" width="32" height="32" alt="" /> ('.$lang['root_user_only'].')</h3>
    <form action="root_login.php" method="post">
    <fieldset><legend>'.$lang['enter_mysql_account'].'</legend>
    <table>
    <tr><th>MySQL '.$lang['user_name'].'&nbsp;:&nbsp;</th><td><input type="text" name="mysql_user" class="bordered" /></td></tr>
    <tr><th>MySQL '.$lang['user_pass'].'&nbsp;:&nbsp;</th><td><input type="password" name="mysql_pass" class="bordered" /></td></tr>
    </table>
    </fieldset>
    <input type="submit" name="Submit" value="'.$lang['login'].'" />
    </form>';
}
footer();
?>