<?php
/**
 * Index of Access Analyzer (P_ANAMA)
 *
 * $Id: analyze/index.php, 2004/02/28 19:40:16 Exp $
 */

$cd = "..";
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once 'include/functions.inc.php';
require_once 'include/bar_graph.php';

if ($use_session_db == 'yes') {
    require_once "{$cd}/{$admin_dir_name}/db_session.php";
} else {
    session_name($p_blog_sess_name);
    session_start();
}

// XHTML Header
display_header();

if ((isset($_SESSION['admin_login'], $_POST['post_password'], $_POST['post_username'])) && 
    (!isset($_POST['y'], $_POST['m'], $_POST['d']))) {
    if($_SESSION['admin_login'] == '') {
        $_POST['post_password'] = md5($_POST['post_password']);
        $sql = "SELECT user_id FROM p_blog_user WHERE user_pass = '". $_POST['post_password'] ."' AND user_name = '". $_POST['post_username'] ."' LIMIT 1";
        $res = mysql_query($sql);
        $row = mysql_num_rows($res);
        if ($row != 0) {
            $_SESSION['user_name']   = $_POST['post_username'];
            $_SESSION['user_pass']   = $_POST['post_password'];
            $_SESSION['admin_login'] = TRUE;
        } else {
            display_body_default();
            footer();
            exit;
        }
    }
    if (($_SESSION['admin_login'] == 1) && (isset($_SESSION['user_name'], $_SESSION['user_pass']))) {
        $default_year  = date("Y");
        $default_month = date("m");
        $default_date  = date("d");
        display_form($post_password = '', $post_username ='', $default_year, $default_month, $default_date);
        
        // compress-the-past-data query       
        if (isset($_POST['comp_year'], $_POST['comp_month']) && ($_POST['comp_year'] != '') && ($_POST['comp_month'] != '')) {       
            $comp_sql = 'UPDATE `'.$analyze_table.
                        "` SET `ref` = '', `browser` = '', `re_host` = '' WHERE `date` LIKE '".
                        $_POST['comp_year'].'-'.$_POST['comp_month']."%'";
            mysql_query($comp_sql) or die("Boo. ".mysql_error());
            // optimize table
            $optimize_sql = 'OPTIMIZE TABLE `'.$analyze_table.'`';
            mysql_query($optimize_sql) or die("Boo. ".mysql_error());
            if ($xml_lang == 'ja') {
                echo '<h3>'.$_POST['comp_year'].'-'.$_POST['comp_month']."のデータを圧縮しました。</h3>\n";
            } else {
                echo '<h3>Data on '.$_POST['comp_year'].'-'.$_POST['comp_month']." has been compressed.</h3>\n";
            }
        } elseif (isset($_POST['comp_year'], $_POST['comp_month']) && (($_POST['comp_year'] == '') || ($_POST['comp_month'] == ''))) {
                echo '<h3>Ooops. '.$lang['bad_req']."</h3>\n";
                display_analyzer_footer();
                exit;        
        } elseif (isset($_POST['del']) && ($_POST['del'] != '')) { // Request from "Delete" button with magic words
            $post_del = md5($_POST['del']);
            if ($post_del == md5($del_magic_words)) {
                $del_sql = "TRUNCATE TABLE $analyze_table";
                mysql_query($del_sql) or die("Boo. ".mysql_error());
                echo("<h3>{$lang['logs_deleted']}</h3>");
            } else {
                echo '<h3>Ooops. '.$lang['bad_req']."</h3>\n";
                display_analyzer_footer();
                exit;
            }
        } elseif ((isset($_POST['del'])) && ($_POST['del'] == '')) { // Request from "Delete" button without magic words
                echo '<h3>Ooops. '.$lang['bad_req']."</h3>\n";
                display_analyzer_footer();
                exit;
        } else { // Display default login page
             display_login_success($xml_lang);
        }
        
        display_analyzer_footer();
    } else {
        echo '<h3>Ooops. '.$lang['bad_req']."</h3>\n";
        display_analyzer_footer();
        exit;
    }
} elseif (isset($_SESSION['admin_login'], $_POST['post_password'], $_POST['post_username'], $_POST['y'], $_POST['m'], $_POST['d'])) {
    if($_SESSION['admin_login'] == '') {
        $_POST['post_password'] = md5($_POST['post_password']);
        $sql = "SELECT user_id FROM p_blog_user WHERE user_pass = '". $_POST['post_password'] ."' AND user_name = '". $_POST['post_username'] ."' LIMIT 1";
        $res = mysql_query($sql);
        $row = mysql_num_rows($res);
        if ($row != 0) {
            $_SESSION['user_name']   = $_POST['post_username'];
            $_SESSION['user_pass']   = $_POST['post_password'];
            $_SESSION['admin_login'] = TRUE;
        } else {
            display_body_default();
            footer();
        }
    }
    if (($_SESSION['admin_login'] == 1) && (isset($_SESSION['user_name'], $_SESSION['user_pass']))) {
        if (ereg("^[12][0-9]{3}$", $_POST['y']) &&
                ereg("^[01][0-9]{1}$", $_POST['m']) &&
                ereg("^[0123][0-9]{1}$", $_POST['d'])) {
                $selected_date = "".$_POST['y']."-".$_POST['m']."-".$_POST['d']."";
                $date_result   = $selected_date;
            } else {
                $selected_date = "";
                $date_result   = "TOTAL";
            }
            // prepare SQLs
            //--------------------------------------------------------------------------------
            $count_sql  = "SELECT id FROM $analyze_table WHERE date LIKE '$selected_date%'";

            $sql_1 = 'SELECT COUNT(id) as cnt, HOUR(date) as hour_row '.
                     ' FROM ' .$analyze_table. " WHERE date LIKE '{$selected_date}%' ".
                     'GROUP BY hour_row ORDER BY hour_row';
    
            $sql_2 = 'SELECT COUNT(id) as cnt, re_host, date'.
                     ' FROM ' .$analyze_table. " WHERE date LIKE '{$selected_date}%' ".
                     ' GROUP BY re_host'.
                     ' HAVING COUNT(id) >= ' . $referer_limit_num.
                     ' ORDER BY cnt DESC';

            $sql_3 = 'SELECT COUNT(id) as cnt, browser, date'.
                     ' FROM ' .$analyze_table. " WHERE date LIKE '{$selected_date}%' ".
                     ' GROUP BY browser'.
                     ' HAVING COUNT(id) >= ' . $referer_limit_num.
                     ' ORDER BY cnt DESC';

            $sql_4 = 'SELECT COUNT(id) as cnt, ref, date'.
                     ' FROM ' .$analyze_table. " WHERE date LIKE '{$selected_date}%' ".
                     ' GROUP BY ref'.
                     ' HAVING COUNT(id) >= ' . $referer_limit_num.
                     ' ORDER BY cnt DESC';

            // count how many days have passed
            $days_sql  = "SELECT TO_DAYS(date) as td_row FROM $analyze_table GROUP BY td_row";
            $days_res  = mysql_query($days_sql);
            $days_num  = mysql_num_rows($days_res);
            $limit_num = $days_num - 31;

            $sql_5 = 'SELECT COUNT(id) as cnt,'.
                     " DATE_FORMAT(date, '%Y/%m/%d, %W') as dn_row,".
                     ' TO_DAYS(date) as td_row FROM ' .$analyze_table.
                     ' GROUP BY dn_row, td_row ORDER BY dn_row';
                     if ($days_num >= 31) {
                         $sql_5 .= ' LIMIT ' . $limit_num . ', 31';
                     }
                     

//             $sql_6 = 'SELECT COUNT(id) as cnt, MONTHNAME(date) as mn_row,'.
//                      ' MONTH(date) as month FROM ' .$analyze_table.
//                      ' GROUP BY mn_row, month ORDER BY month';
            $sql_6 = 'SELECT COUNT(id) as cnt,'.
                     " DATE_FORMAT(date, '%Y/%m') as mn_row,".
                     " DATE_FORMAT(date, '%Y/%m') as month FROM " .$analyze_table.
                     ' GROUP BY mn_row, month ORDER BY month';

            $sql_7 = 'SELECT COUNT(id) as cnt, YEAR(date) as year'.
                     ' FROM ' .$analyze_table.
                     ' GROUP BY year ORDER BY year';
            
            if ($use_download_counter == 'yes') {
                $sql_8 = 'SELECT bin_count, binname'.
                         ' FROM ' .$info_table.
                         ' ORDER BY bin_count DESC';
            }            
            // ok, put all these queries into MySQL query functions
            //--------------------------------------------------------------------------------
            // count total hit of the day
            //--------------------------------------------------------------------------------
            $hitres = mysql_query($count_sql) or die("Boo. ".mysql_error());
            $hitrow = mysql_num_rows($hitres);
    
            // SQL : hits per hour
            //--------------------------------------------------------------------------------
            $res_1   = mysql_query($sql_1) or die("Boo. ".mysql_error());
            $array_1 = array();
            while ($row = mysql_fetch_row($res_1)) {
                $count = $row[0];
                $name  = $row[1];
                $array_1[$name] = $count;
            } 
            $graph_1 = bar_graph_vertical($array_1, 300, $xml_lang);

            // SQL : remote host
            //--------------------------------------------------------------------------------
            $res_2   = mysql_query($sql_2) or die("Boo. ".mysql_error());
            $array_2 = array();
            while ($row = mysql_fetch_row($res_2)) {
                $count = $row[0];
                $name  = $row[1];
                $array_2[$name] = $count;
            }
            $sum = array_sum($array_2);
            if ($hitrow > $sum) {
                $array_2['...Others&nbsp;(less than ' .$referer_limit_num. ' hits)'] = $hitrow - $sum;
            }
            $graph_2 = bar_graph($array_2, 300, $xml_lang);
    
            // SQL : user agent
            //--------------------------------------------------------------------------------
            $res_3   = mysql_query($sql_3) or die("Boo. ".mysql_error());
            $array_3 = array();
            while ($row = mysql_fetch_row($res_3)) {
                $count = $row[0];
                $name  = $row[1];
                $array_3[$name] = $count;
            }
            $sum = array_sum($array_3);
            if ($hitrow > $sum) {
                $array_3['...Others&nbsp;(less than ' .$referer_limit_num. ' hits)'] = $hitrow - $sum;
            }
            $graph_3 = bar_graph($array_3, 300, $xml_lang);
    
            // SQL : referer
            //--------------------------------------------------------------------------------
            $res_4 = mysql_query($sql_4) or die("Boo. ".mysql_error());
            $array_4 = array();
            while ($row = mysql_fetch_row($res_4)) {
                $count = $row[0];
                $name  = $row[1];
                $array_4[$name] = $count;
            }
            $sum = array_sum($array_4);
            if ($hitrow > $sum) {
                $array_4['...Others&nbsp;(less than ' .$referer_limit_num. ' hits)'] = $hitrow - $sum;
            }
            $graph_4 = bar_graph_with_link($array_4, 300, $xml_lang);

            // SQL : Last 7 daily hits
            //--------------------------------------------------------------------------------
            $res_5   = mysql_query($sql_5) or die("Boo. ".mysql_error());
            $array_5 = array();
            while ($row = mysql_fetch_row($res_5)) {
                $count = $row[0];
                $name  = $row[1];
                $array_5[$name] = $count;
            }
            $graph_5 = bar_graph_week($array_5, 300, $xml_lang);
                
            // SQL : monthly hits
            //--------------------------------------------------------------------------------
            $res_6   = mysql_query($sql_6) or die("Boo. ".mysql_error());
            $array_6 = array();
            while ($row = mysql_fetch_row($res_6)) {
                $count = $row[0];
                $name  = $row[1];
                $array_6[$name] = $count;
            }
            $graph_6 = bar_graph_total($array_6, 300, $xml_lang);

            // SQL : yearly hits
            //--------------------------------------------------------------------------------
            $res_7   = mysql_query($sql_7) or die("Boo. ".mysql_error());
            $year_hitrow_7 = mysql_num_rows($res_7);
            $array_7 = array();
            while ($row = mysql_fetch_row($res_7)) {
                $count = $row[0];
                $name  = $row[1];
                $array_7[$name] = $count;
            }
            $graph_7 = bar_graph_total($array_7, 300, $xml_lang);
            
            // SQL : downloads
            //--------------------------------------------------------------------------------
            if ($use_download_counter == 'yes') {

                $res_8   = mysql_query($sql_8) or die("Boo. ".mysql_error());
                $year_hitrow_8 = mysql_num_rows($res_8);
                $array_8 = array();
                while ($row = mysql_fetch_row($res_8)) {
                    $count = $row[0];
                    $name  = $row[1];
                    $array_8[$name] = $count;
                }
                $graph_8 = bar_graph_total($array_8, 300, $xml_lang);
            }
            // show the result page
            display_form($post_password = '', $post_username ='', $_POST['y'], $_POST['m'], $_POST['d']);
            display_body($hitrow, $date_result);
            // show the flush button
            if ($enable_del_logs == 'yes') {
                display_comp_form($post_password, $post_username, $xml_lang);
                display_del_form($post_password, $post_username, $xml_lang, $del_magic_words);
            }
            display_analyzer_footer();
    } else {
        display_body_default();
        footer();
    }
} else {
    display_body_default();
    footer();
}
?>