<?php
/**
 * Display Articles Individually
 *
 * $Id: article.php, 2004/03/26 16:21:15 Exp $
 */


$cd = '.';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/fnc_individual.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once $cd . '/include/fnc_logs.inc.php';

session_control();

function display_buffered_header() {
    global $sql, $log_table, $search_style, $form_length, $search_plus_anchor,
           $cd, $admin, $menu_list, $root_path, $use_css_switch, $styles,
           $use_rss, $rss_feed;
    // XHTML Header
    display_header();
    
    display_log_search_form();

    display_menu_list($cd, $admin, $menu_list, $root_path);
    
    // SQL : pick up archives by date
    $sql = "SELECT DATE_FORMAT(date,'%Y-%m') as date FROM {$log_table} GROUP BY date ORDER BY date DESC";
    archive_by_date($sql);

    // CSS Switcher
    if ($use_css_switch == 'yes') { display_css_switch($styles); }

    // Menu Bottom
    display_menu_bottom($use_rss, $cd, $rss_feed);
}

if (isset($_REQUEST['id']) && $_REQUEST['id'] !== NULL) {
    $id = abs(intval($_REQUEST['id']));
    // query to pull out the recent articles.
    $sql = 'SELECT'.
           " id, href, name, date, DATE_FORMAT(mod, '%Y-%m-%d %T') as mod, comment, category".
           " FROM {$log_table} WHERE (draft = 0) AND (id = {$id})";
    $res  = mysql_query($sql);
    $row  = mysql_fetch_array($res);
    if ($row) {
        //$row  = mysql_fetch_array($res);
        convert_to_utf8($enable_unicode, $row, $mysql_lang);
        date_format($date_style, $row_name = 'date');
        $title_date = $formatted_date;
        display_buffered_header();
        echo "\n".'<h2 class="date-title">'.$title_date."</h2>\n";
        //echo '<h3>'.$lang['log'].' ID : '.$id. "</h3>\n";
        display_article_box($row, $anchor);
        if ($display_log_uri == 'yes') {
            display_article_uri($blog_title, $root_path, $row, $id);
        }
        /*
        if ($edit_log_direct == 'yes') {
            edit_this_log_direct($admin_dir_name, $row, $id, 'log');
        }
        */
    } else {
        display_buffered_header();
        echo "\n".'<h2 class="cate-title">'.$lang['no_matches']."</h2>\n";
    }
} else {
    display_buffered_header();
    display_by_id_form('article');
}
footer();
?>
