<?php
/**
 * Display Binary Files Individually
 *
 * $Id: files/article.php, 2004/03/26 16:24:45 Exp $
 */

$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once $cd . '/include/fnc_individual.inc.php';
require_once './include/fnc_files.inc.php';

session_control();

function display_buffered_header() {
    global $sql, $info_table, $search_style, $form_length, $search_plus_anchor,
           $cd, $admin, $menu_list, $root_path, $use_css_switch, $styles,
           $use_rss, $rss_feed;
    // XHTML Header
    display_header();
    
    display_bin_search_form();
    
    display_menu_list($cd, $admin, $menu_list, $root_path);
    
    // count how many rows are stocked in DB.
    $sql = "SELECT DATE_FORMAT(bindate,'%Y-%m') as bindate FROM {$info_table} GROUP BY bindate ORDER BY bindate";
    bin_archive_by_date($sql);

    // CSS Switcher
    if ($use_css_switch == 'yes') { display_css_switch($styles); }

    // Menu Bottom
    display_menu_bottom($use_rss, $cd, $rss_feed);
}
// Content
if (isset($_REQUEST['id']) && $_REQUEST['id'] !== NULL){
    $id = abs(intval($_REQUEST['id']));
    // query
    $sql  = "SELECT ".
            "id, bin_title, bintype, binname, binsize, bindate, DATE_FORMAT(bin_mod,'%Y-%m-%d %T') as bin_mod, bin_category, bincomment, bin_count".
            " FROM $info_table".
            " WHERE (draft = 0) AND (id = {$id})";
    $res = mysql_query($sql);
    $row = mysql_fetch_array($res);
    if ($row) {
        convert_to_utf8($enable_unicode, $row, $mysql_lang);
        display_buffered_header();
        echo "\n<h2>".$lang['file'].' ID : '.$id."</h2>\n";
        display_binary_box($row, $anchor, $show_md5, $data_table, 
                $show_thumb_nail, $thumb_nail_w, $thumb_nail_h, $show_img_size, $root_path);
        if ($display_log_uri == 'yes'){
            display_binary_uri($blog_title, $enable_unicode, $root_path, $row, $id, $mysql_lang);
        }
        /*
        if ($edit_log_direct == 'yes'){
            edit_this_log_direct($admin_dir_name, $row, $id, 'bin');
        }
        */
    } else {
        display_buffered_header();
        echo "\n".'<h2 class="cate-title">'.$lang['no_matches']."</h2>\n";
    }
} else {
    display_buffered_header();
    display_by_id_form('article_bin');
}
footer();
?>
