<?php
/**
 * Display Topic
 * 
 * $Id: topic.php, 2004/04/26 09:53:55 Exp $
 */

$cd = '../..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once $cd . '/include/search_plus.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once '../include/fnc_search.inc.php';
require_once '../include/fnc_forum.inc.php';

if ($use_session_db == 'yes') {
    require_once "{$cd}/{$admin_dir_name}/db_session.php";
} else {
    session_name($p_blog_sess_name);
    session_start();
}

against_xss();

// XHTML Header
display_header();

echo '</div><div class="wide-content">';
//=====================================================
// PREPARE SEARCH QUERY
//=====================================================

if ((isset($_SESSION['admin_login'], $_SESSION['user_name'], $_SESSION['user_pass'], $_GET['k'], $_GET['p'], $_GET['d'], $_GET['c'], $_GET['pn'])) or 
    (isset($_SESSION['admin_login'], $_SESSION['user_name'], $_SESSION['user_pass'], $_GET['tid'], $_GET['p']))) {
    $sql = "SELECT user_id FROM p_blog_user WHERE user_pass = '". $_SESSION['user_pass'] ."' AND user_name = '". $_SESSION['user_name'] ."' LIMIT 1";
    $res = mysql_query($sql);
    $row = mysql_num_rows($res);
    if ($row) {
        echo <<<EOD
<p class="flip-menu">
<a href="../../{$admin_dir_name}/admin_top.php" class="title">{$lang['admin']} TOP</a>
<a href="./index.php">{$lang['topic_list']}</a>
<strong>{$lang['topic']}</strong>
</p>
<h3>{$lang['login_user']} : {$_SESSION['user_name']}</h3>
EOD;

        if (!isset($_GET['k'], $_GET['p'], $_GET['d'], $_GET['c'], $_GET['pn'])) {
            $_GET['k']  = '';
            $_GET['p']  = '0';
            $_GET['d']  = '';
            $_GET['c']  = '0';
            $_GET['pn'] = '1';
        }

        if (isset($_GET['k'], $_GET['p'], $_GET['d'], $_GET['c'], $_GET['pn'], $_GET['tid'])) {

            if ($enable_unicode == 'on') {
                $keyword = mb_convert_encoding(trim($_GET['k']), $mysql_lang, "auto");
            } else {
                $keyword = trim($_GET['k']);
            }
            $page  = $_GET['p'];
            $date  = $_GET['d'];
            $case  = $_GET['c'];
            $tid   = $_GET['tid'];
            if (($page != '') && ($case != '')) {
                 $sql = 'SELECT'.
                        " id, tid, parent_key, title, comment, user_name, user_pass, user_mail, user_uri, date, DATE_FORMAT(mod, '%Y/%m/%d %T') as mod,".
                        ' user_ip'.
                        ' FROM p_forum'.
                        ' WHERE tid = '. $tid .
                        " ORDER BY date ASC LIMIT {$page}, {$pagemax} ";
            }
            //=====================================================
            // SUBMIT SEARCH QUERY
            //=====================================================
            $res = mysql_query($sql);
            if ($res) {
                $count_sql = 'SELECT id FROM p_forum WHERE tid = ' . $tid;
                $hit_res = mysql_query($count_sql);
                $hit_row = mysql_num_rows($hit_res);
    
                // Show the hit data info.
                $rows = mysql_num_rows($res);
                if ($enable_unicode == 'on') {
                    $keyword = mb_convert_encoding($keyword, "UTF-8", $mysql_lang);
                }
                //=================================================
                // SHOW THE RESULTS!
                //=================================================
                if ($hit_row) {
                    // display the number of the thread
                    $spacer = '&nbsp;&nbsp;&nbsp;&nbsp;';
                    $disp_page = $page + 1;
                    $disp_rows = $page + $rows;
                    echo '<p class="search-res">'.
                         '<span class="search-res">'.$hit_row.'</span> '.$lang['topics'].'&nbsp;'.
                         '<span class="search-res">'.$disp_page.' - '.$disp_rows.'</span> / '.
                         '<span class="search-res">'.$hit_row.'</span></p>';
                    display_page_flip_forum();
                    // display thread list table
                    echo '<table class="forum-topic-table" summary="Show Topic">'.
                         '<tr>'.
                         '<th class="user-info" summary="User Info">'.$lang['posted_by'].'</th>'.
                         '<th summary="Comment">'.$lang['comment'].'</th>'.
                         '<th class="mod-del" summary="Modify">'.$lang['mod_del']."</th>\n".
                         '</tr>';
                    while ($row = mysql_fetch_array($res)) {
                        // sanitize
                        $row['id']         = sanitize(intval($row['id']));
                        $row['tid']        = sanitize(intval($row['tid']));
                        $row['parent_key'] = sanitize(intval($row['parent_key']));
                        $row['title']      = sanitize($row['title']);
                        $row['comment']    = sanitize($row['comment']);
                        $row['user_name']  = sanitize($row['user_name']);
                        $row['user_pass']  = sanitize($row['user_pass']);
                        $row['user_mail']  = sanitize($row['user_mail']);
                        $row['user_uri']   = sanitize($row['user_uri']);
                        $row['user_ip']    = sanitize($row['user_ip']);
                        $row['date']       = sanitize($row['date']);
                        
                        // check the number of replies
                        $rep_sql = 'SELECT COUNT(id) FROM p_forum WHERE tid = ' . $row['tid'] . ' AND parent_key = 0';
                        $rep_res = mysql_query($rep_sql);
                        $rep_row = mysql_fetch_array($rep_res);

                        // convert to UTF-8
                        if ($enable_unicode == 'on') {
                            convert_to_utf8($enable_unicode, $row, $mysql_lang);
                        }
                        // auto line-breaks
                        $row['comment'] = nl2br($row['comment']);
                        // auto links
                        $row['comment'] = preg_replace('/([^=^\"]|^)(http\:[\w\.\~\-\/\?\&\+\=\:\@\%\;\#\%]+)/', '$1<a href="$2">$2</a>', $row['comment']);
                        // convert <pre> tags
                        $row['comment'] = preg_replace('/\[pre\]/', '<pre>', $row['comment']);
                        $row['comment'] = preg_replace('/\[\/pre\]/', '</pre>', $row['comment']);
                        echo '<tr>'.
                             '<td class="colored" rowspan="2">'.
                             'No.'     . $row['id']        . '<br />'.
                             'ID : '   . $row['user_name'] . '<br />'.
                             'URI : <a href="'  . $row['user_uri'] . '" title="User Website">URI</a><br />'.
                             'E-Mail : <a href="mailto:'.$row['user_mail'].'" title="User E-Mail">' . $row['user_mail'] . '</a><br />'.
                             'Pass : ' . $row['user_pass'] . '<br />'.
                             'Host : ' . $row['user_ip']   . '<br />'. 
                             '</td>'.
                             '<td class="colored">'.
                             $row['title'] . '<br />' .
                             '</td>'.
                             '<td class="colored" rowspan="2">'."\n".
                             '<form action="./modify.php" method="post">'."\n".
                             '<input type="hidden" name="id" value="'.$row['id'].'" />'."\n".
                             '<input type="hidden" name="tid" value="'.$row['tid'].'" />'."\n".
                             '<input type="submit" value="&nbsp;'.$lang['update'].'&nbsp;" />'."\n".
                             '</form>'."\n".
                             '<form method="post" action="./delete.php">'.
                             '<input type="hidden" name="id" value="'.$row['id'].'" />'.
                             '<input type="submit" value="&nbsp;' . $lang['delete'] . '&nbsp;" />'.
                             '</form>'.
                             '</td>'.
                             '</tr><tr><td class="colored">'. $row['comment'] . '</td>'.
                             '</tr>';
                    }
                    echo '</table><br />';
                    display_page_flip_forum();
                }
            }
        }
    } else {
        wrong_user_error();
        exit;
    }
} else {
    wrong_user_error();
    exit;
}
footer();
?>
