<?php
/**
 * Main functions of P_FORUM
 *
 * $Id: fnc_forum.inc.php, 2004/03/17 11:18:01 Exp $
 */

// put topic_max value into $pagemax variable
$pagemax = $topic_max;

/**
 * Page flipper
 */
function display_page_flip_forum() 
{
    global $page_flip_style, $hit_row, $pagemax, $case, $field, $keyword, $date;
    if ($hit_row > $pagemax) {
        if ($case == 0) {
            if ($page_flip_style == '1') {
                if ($date == 'all') {
                   display_flip_link_forum($field = '', $keyword, $date, $pagemax, $case = '0', $hit_row,'no');
                } else {
                   display_flip_link_forum($field = '', $keyword, $date, $pagemax, $case = '0', $hit_row,'yes');
                }
            } else {
                display_flip_form_forum($field = '', $keyword, $date, $pagemax, $case = '0', $hit_row);
            }
        } else {
            if ($page_flip_style == '1') {
                display_flip_link_forum($field = '', $keyword, $date, $pagemax, $case = '1', $hit_row);
            } else {
                display_flip_form_forum($field = '', $keyword, $date, $pagemax, $case = '1', $hit_row);
            }
        }
    }
}

/**
 * Page Flip Style 1 : Link
 * @modified : nakamuxu
 * @modified : kaz 
 */
function display_flip_link_forum($field, $keyword, $date, $pagemax, $case, $hit_row, $all_flag='yes') 
{
    global $lang, $cd, $tid;
    echo "\n".'<p class="flip-link">'."\n";
    $page_array = array();
    $array_key  = 0;
    $pagenumber = 0;
    $datalimit  = 0;
    $result     = 0;
    for ($datalimit; $datalimit < $hit_row; $datalimit += $pagemax) {
        $pagenumber++;
        if (isset($_GET['pn'])) {
            if ($pagenumber == $_GET['pn']) {
                $tag_array["tag"] = '<strong>';
                $tag_array["anchor"] = $pagenumber . '</strong>';
                $page_array[] = $tag_array;
                $array_key = count($page_array) == 0 ? 0 : count($page_array) - 1;
            } else {
                $tag_array["tag"] = '<a href="' . $_SERVER['PHP_SELF'] . '?'.
                'k='       .$keyword.
                '&amp;d='  .$date.
                '&amp;p='  .$datalimit.
                '&amp;pm=' .$pagemax.
                '&amp;pn=' .$pagenumber.
                '&amp;c='  .$case.
                '&amp;f='.
                '&amp;tid='. $tid .
                '">';
                $tag_array["anchor"] = $pagenumber. '</a>';
                $page_array[] = $tag_array;
            }
        }
    }
    if ($array_key > 0) {
        echo '<span class="navi-menu">'.$page_array[$array_key-1]["tag"].
             // '&lt;&lt;&nbsp;' .$lang['prev'].
             '<img src="' . $cd . '/images/arrow_left.png" width="9" height="11" alt="&lt;" />'.
             "</a></span>&nbsp;\n";
    }
    if ($all_flag == 'yes') {
        foreach($page_array as $value) {
            echo $value["tag"];
            echo $value["anchor"]."&nbsp;\n";
        }
    }
    if (isset($_GET['pn']) && $_GET['pn'] != $pagenumber) {
        echo '<span class="navi-menu">'.$page_array[$array_key+1]["tag"].
             // $lang['next'] . '&nbsp;&gt;&gt;';
             '<img src="' . $cd . '/images/arrow_right.png" width="9" height="11" alt="&gt;" />'.
             "</a></span>\n";
    }
    echo "\n</p>\n";
}


/* Page Flip Style 2 : Form */
function display_flip_form_forum($field, $keyword, $date, $pagemax, $case, $hit_row) 
{
    global $lang;
    echo <<<EOD

<form action="{$_SERVER['PHP_SELF']}" method="get">
<div class="flip-form">
<input type="hidden" name="k" value="{$keyword}" />
<input type="hidden" name="d" value="{$date}" />
<select class="resultchange" name="p" tabindex="1" onchange="this.form.submit()">
<option value="">{$lang['flip_pages']}</option>
EOD;
        //(1)separate the hit data
        //(2)->increase the option tags to the result
        $pagenumber = 0;
        $datalimit  = 0;
        $result     = 0;
        for ($datalimit; $datalimit < $hit_row; $datalimit += $pagemax) {
            $pagenumber += 1;
            $result = $datalimit+1;
            echo '<option value="'.$datalimit.'">'.$result.' - (  P '.$pagenumber." )</option>\n";
        }
    echo <<<EOD
</select>
<input type="hidden" name="pm" value="{$pagemax}" />
<input type="hidden" name="pn" value="" />
<input type="hidden" name="c" value="{$case}" />
<input type="hidden" name="f" value="{$field}" />
<noscript> 
<div class="noscript"><input type="submit" accesskey="f" tabindex="2" value="{$lang['flip']}" /></div>
</noscript>
</div>
</form>

EOD;
}

/**
 * Article Box
 */
function display_forum_log_box($row, $anchor) 
{
    global $keys, $lang, $show_date_title, $date_style, $use_email_link, $cd, $log_table, $mysql_lang, $enable_unicode, $row, $tid;
    $spacer = '&nbsp;&nbsp;&nbsp;&nbsp;';
    if ($row['parent_key'] == 1) {
        if (isset($row['refer_id']) && ($row['refer_id'] != 0)) {
            $rsql = 'SELECT name FROM ' . $log_table . ' WHERE id = ' . $row['refer_id'];
            $rres  = mysql_query($rsql);
            $rrow  = mysql_fetch_array($rres);
            convert_to_utf8($enable_unicode, $rrow, $mysql_lang);
            $anchor = '<h2>&raquo;&nbsp;<a href="../article.php?id=' . $row['refer_id'] . '">&nbsp;' . $rrow['name'] . "&nbsp;</a></h2>\n";
            $top_title = '<h3>' . $row['title'] . "</h3>\n";
        } else {
            $anchor = '';
            $top_title = '<h2>' . $row['title'] . "</h2>\n";
        }
        echo $anchor . $top_title;
    } else {
        echo '<h3>' . $row['title'] . "</h3>\n";
    }
    // auto line-breaks
    $row['comment'] = nl2br($row['comment']);
    
    // auto links
    $row['comment'] = preg_replace('/([^=^\"]|^)(http\:[\w\.\~\-\/\?\&\+\=\:\@\%\;\#\%]+)/', '$1<a href="$2">$2</a>', $row['comment']);    

    //$row['comment'] = preg_replace('/(\[RDF\])(http\:[\w\.\~\-\/\?\&\+\=\:\@\%\;\#\%]+)(\[RDF\])/', '<a href="$2">$2</a>', $row['comment']);
    /*
    require_once("XML/RSS.php");
    if (preg_match('/(\[RDF\])(http\:[\w\.\~\-\/\?\&\+\=\:\@\%\;\#\%]+)(\[RDF\])/', $row['comment'])) {
        $rdf  = preg_replace('/(\[RDF\])(http\:[\w\.\~\-\/\?\&\+\=\:\@\%\;\#\%]+)(\[RDF\])/', '$2', $row['comment']);
        
        $feed = strip_tags($rdf);
        $rss  =& new XML_RSS($feed);
        $rss->parse();
        $parse = '<blockquote>';
        foreach($rss->getItems() as $item) {
           $parse .= '<a href="' . $item['link'] . '">' . $item['title'] . '</a> - ' . $item['dc:date'] .
                     '<p>' . $item['description'] . "</p>\n<hr />\n";      
        }
        $parse .= '</blockquote>';
        $row['comment'] = $parse;

        //preg_replace('/(\[RDF\])(http\:[\w\.\~\-\/\?\&\+\=\:\@\%\;\#\%]+)(\[RDF\])/', '$2', $row['comment']);
    }
    */
         // convert <pre> tags
    $row['comment'] = preg_replace('/\[pre\]/', '<pre>', $row['comment']);
    $row['comment'] = preg_replace('/\[\/pre\]/', '</pre>', $row['comment']);
    
    // cite box coloring
    $row['comment'] = preg_replace('/\[cite1\]/', '<div class="quote1">', $row['comment']);
    $row['comment'] = preg_replace('/\[\/cite1\]/', '</div>', $row['comment']);
    $row['comment'] = preg_replace('/\[cite2\]/', '<div class="quote2">', $row['comment']);
    $row['comment'] = preg_replace('/\[\/cite2\]/', '</div>', $row['comment']);
    $row['comment'] = preg_replace('/\[cite3\]/', '<div class="quote3">', $row['comment']);
    $row['comment'] = preg_replace('/\[\/cite3\]/', '</div>', $row['comment']);

    // quote box coloring
    $row['comment'] = preg_replace('/\[q1\]/', '<div class="quote1">', $row['comment']);
    $row['comment'] = preg_replace('/\[\/q1\]/', '</div>', $row['comment']);
    $row['comment'] = preg_replace('/\[q2\]/', '<div class="quote2">', $row['comment']);
    $row['comment'] = preg_replace('/\[\/q2\]/', '</div>', $row['comment']);
    $row['comment'] = preg_replace('/\[q3\]/', '<div class="quote3">', $row['comment']);
    $row['comment'] = preg_replace('/\[\/q3\]/', '</div>', $row['comment']);
    
    // generate URI
    if (isset($row['user_uri']) && preg_match('/([^=^\"]|^)(http\:[\w\.\~\-\/\?\&\+\=\:\@\%\;\#\%]+)/', $row['user_uri'])) {
        $user_uri = '<a href="'.$row['user_uri'].'"><img src="./images/home.png" width="16" height="16" alt="URI" /></a>'; 
    } else {
        $user_uri = '';
    }
    echo '<p>' . 'No.' . $row['id'] . $spacer .
         'From : ' . $row['user_name'] . $spacer .
         $user_uri . $spacer . $row['date'] . $spacer . 
         '<span class="quote"><a href="./reply.php?tid=' . $tid . '&amp;qid='.$row['id'].'">&nbsp;'. $lang['quote']."</a></span></p>\n".
         '<div class="comment">'."\n";
    switch($row['color']) {
        case 0:
            $color_class = 'color-default';
            break;
        case 1:
            $color_class = 'color-1';
            break;
        case 2:
            $color_class = 'color-2';
            break;
        case 3:
            $color_class = 'color-3';
            break;
    }
    echo '<div class="' . $color_class . '">'."\n" . $row['comment'] . "</div>\n".
         "</div>\n";
}

function display_forum_log_box_admin($row, $anchor) 
{
    global $lang, $show_date_title, $date_style, $use_email_link, $cd;
    $spacer = '&nbsp;&nbsp;&nbsp;&nbsp;';
    if ($row['parent_key'] == 1) {
        echo '<h2>' . $row['title'] . '</h2>';
    } else {
        echo '<h3>' . $row['title'] . '</h3>';
    }
    // auto line-breaks
    $row['comment'] = nl2br($row['comment']);
    // auto links
    $row['comment'] = preg_replace('/([^=^\"]|^)(http\:[\w\.\~\-\/\?\&\+\=\:\@\%\;\#\%]+)/', '$1<a href="$2">$2</a>', $row['comment']);
    // convert <pre> tags
    $row['comment'] = preg_replace('/\[pre\]/', '<pre>', $row['comment']);
    $row['comment'] = preg_replace('/\[\/pre\]/', '</pre>', $row['comment']);
    echo '<p>Author : ' . $row['user_name'] . $spacer . 'Post : ' . $row['date'] . $spacer .
         '<a href="./modify.php?id='.$row['id'].'&amp;tid='.$row['tid'].'">Edit</a></p>' .
         '<div class="comment">'.
         '<p>' . $row['comment'] . '</p>'.
         '</div>';
}


// Deny direct access to this file
if (stristr($_SERVER['PHP_SELF'], ".inc.php")) {
    header("HTTP/1.1 301 Moved Permanently");
    header("Location: http://" .$_SERVER['SERVER_NAME']. dirname($_SERVER['REQUEST_URI']). "/index.php");
}
?>