<?php
/**
 * Functions for search routines
 *
 * $Id: fnc_search.inc.php, 2004/04/11 02:45:38 Exp $
 */

/**
 * Past Archives Sort Form By Date (Monthly)
 */
function archive_by_month($sql) 
{
    global $lang;
    $res = mysql_query($sql);
    echo <<<EOD
<form id="archives" action="./index.php" method="get">
<div class="archive-by-date">
<input type="hidden" name="k" value="" />
<input type="hidden" name="p" value="0" />
<input type="hidden" name="c" value="0" />
<input type="hidden" name="pn" value="1" />
<select name="d" tabindex="3" onchange="if(document.forms.archives.d.value != '-'){this.form.submit();}" title="{$lang['show_archives']}">
<option value="-"  selected="selected">{$lang['archives']}</option>
<option value="-" disabled="disabled">- - -</option>
EOD;
    while ($date_row = mysql_fetch_row($res)) {
        $year_month = "".$date_row[0]."";
        echo '<option>'.$year_month."</option>\n";
    }
    echo <<<EOD
<option value="-" disabled="disabled">- - -</option>
<option value="all"> {$lang['all_data']} </option>
</select>
<noscript> 
<div class="noscript"><input type="submit" accesskey="s" tabindex="6" value="go" /></div>
</noscript>
</div>
</form>
EOD;
}



function display_forum_search_form() 
{
    global $lang, $form_length;
    echo <<<EOD
<form id="search" action="./search.php" method="get">
<table summary="search data">
<tr><td>
<input tabindex="2" accesskey="k" type="text" name="k" value="" size="{$form_length}" title="{$lang['enter_keywords']}" />
</td><td>
<input type="submit" accesskey="g" tabindex="4" class="search-button" value="{$lang['go']}" />
<input type="hidden" name="d" value="" />
</td><td>
<input type="hidden" name="p" value="0" />
<input type="hidden" name="c" value="0" />
<input type="hidden" name="pn" value="1" />
<input type="hidden" name="f" value="" />
</td></tr>
</table>
</form>
EOD;
}


//================================================================
// SEARCH ROUTINES
//================================================================

/**
 * Keyword Highlighting
 */
function hit_key_highlight() 
{
    global $case, $i, $keys, $row;
    if ($case == 0) { // case-insensitive
        for ($i = 0; $i < sizeof($keys); $i++) {
            if ($keys[$i] != "") {
                $row['title']     = preg_replace('/('.stripslashes($keys[$i]).')/i', '<span class="hl">$1</span>', $row['title']);
                $row['comment']  = preg_replace('/('.stripslashes($keys[$i]).')/i', '<span class="hl">$1</span>', $row['comment']);
                while (preg_match('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', $row['comment'])){
                    $row['title']     = preg_replace('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', '$1$3', $row['title']);
                    $row['comment']  = preg_replace('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', '$1$3', $row['comment']);
                }
            }
        }
    } else { // case-sensitive
        for ($i = 0; $i < sizeof($keys); $i++) {
            if ($keys[$i] != "") {
                $row['title']     = preg_replace('/('.stripslashes($keys[$i]).')/', '<span class="hl">$1</span>', $row['title']);
                $row['comment']  = preg_replace('/('.stripslashes($keys[$i]).')/', '<span class="hl">$1</span>', $row['comment']);
                while (preg_match('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', $row['comment'])){
                    $row['title']     = preg_replace('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', '$1$3', $row['title']);
                    $row['comment']  = preg_replace('/(<[^<>]*)(<span class="hl">)('.stripslashes($keys[$i]).')(<\/span>)/i', '$1$3', $row['comment']);
                }
            }
        }
    }
}



// Deny direct access to this file
if (stristr($_SERVER['PHP_SELF'], ".inc.php")) {
    header("HTTP/1.1 301 Moved Permanently");
    header("Location: http://" .$_SERVER['SERVER_NAME']. dirname($_SERVER['REQUEST_URI']). "/index.php");
}
?>