<?php
/**
 * Output Header Info
 * 
 * $Id: http_headers.inc.php, 2004/04/25 11:26:11 Exp $
 */

if (stristr($_SERVER['PHP_SELF'], ".inc.php")) {
   // header("HTTP/1.1 301 Moved Permanently");
    header("Location: http://" .$_SERVER['SERVER_NAME']. dirname($_SERVER['REQUEST_URI']). "/index.php");
}

// Set CSS cookie
if (isset($_COOKIE["$css_cookie_name"])) {
    $style_num = $_COOKIE["$css_cookie_name"]; //get the value from Cookie
    setcookie($css_cookie_name, $style_num, time()+$css_cookie_time, "/");
}

// Set Selected CSS name into cookie
if (isset($_POST['style_num'])) {
    $style_num = $_POST['style_num']; //get the value from posted parameter
    setcookie($css_cookie_name, $style_num, time()+$css_cookie_time, "/");
}

// If CSS is not selected, set default CSS
if (empty($style_num)) {
   $style_num = $default_style;
}


// FORUM Cookie
if (isset($_POST['p_blog_forum_cookie'])) {
    if (isset($_POST['user_name'])) {
        $user_name  = $_POST['user_name'];
        setcookie('p_blog_forum_user', $user_name,   time()+60*60*24*365, "/");
    }
    if (isset($_POST['user_email'])) {
        $user_email = $_POST['user_email'];
        setcookie('p_blog_forum_email', $user_email, time()+60*60*24*365, "/");
    }
    if (isset($_POST['user_uri'])) {
        $user_uri   = $_POST['user_uri'];
        setcookie('p_blog_forum_uri',   $user_uri,   time()+60*60*24*365, "/");
    }
}


/**
 * Output Controls
 * @author : nakamuxu
 */
$request_uri = 'http://' . $_SERVER["HTTP_HOST"] . $_SERVER['SCRIPT_NAME'];
if ($request_uri == ('http://' . $_SERVER["HTTP_HOST"] . $root_path . $top_page) or 
    $request_uri == ('http://' . $_SERVER["HTTP_HOST"] . $root_path . 'files/index.php') or
 // This doesn't work on Windows IE 6.0
 // $request_uri == ('http://' . $_SERVER["HTTP_HOST"] . $root_path . $admin_dir_name. '/login.php') or 
    $request_uri == ('http://' . $_SERVER["HTTP_HOST"] . $root_path . 'search.php') or 
    $request_uri == ('http://' . $_SERVER["HTTP_HOST"] . $root_path . 'search_plus.php') or 
    $request_uri == ('http://' . $_SERVER["HTTP_HOST"] . $root_path . 'files/search.php')) {
    // Note: ob_gzhandler must be called before session_start()
    if ($gz_compress == 'yes') { ob_start("ob_gzhandler"); } else { ob_start(); }
    if ($request_uri == ('http://' . $_SERVER["HTTP_HOST"] . $root_path . $top_page)) {
        $sql = 'SELECT UNIX_TIMESTAMP(mod) as tstamp FROM ' . $log_table . ' ORDER BY id desc LIMIT ' . $pagemax; 
    } elseif ($request_uri == ('http://' . $_SERVER["HTTP_HOST"] . $root_path . 'files/index.php')) {
        $sql = 'SELECT UNIX_TIMESTAMP(bindate) as tstamp FROM ' . $info_table . ' ORDER BY id desc LIMIT ' . $pagemax; 
    } elseif ($request_uri == ('http://' . $_SERVER["HTTP_HOST"] . $root_path . 'search.php')) {
        $sql = 'SELECT MAX(UNIX_TIMESTAMP(mod)) as tstamp FROM ' . $log_table;
    } elseif ($request_uri == ('http://' . $_SERVER["HTTP_HOST"] . $root_path . 'files/search.php')) {
        $sql = 'SELECT MAX(UNIX_TIMESTAMP(bindate)) as tstamp FROM ' . $info_table; 
    }
    $mod_db_time = 0; 
    if (isset($sql)) { 
        $res = mysql_query($sql);
        if (!$res) {
            die (mysql_error());
        }
        while ($row = mysql_fetch_array($res, MYSQL_ASSOC)) { 
            $tmp_time = $row['tstamp']; 
            $mod_db_time = $mod_db_time > $tmp_time ? $mod_db_time : $tmp_time; 
        }
    }
//    $mod_cache_inc_file_time = filemtime(__FILE__); // modified time of this file
    $mod_cache_inc_file_time = filemtime($_SERVER['PATH_TRANSLATED']); // modified time of this file
    $mod_parent_file_time = getlastmod(); // modified time of the parent file
    $mod_file_time = $mod_cache_inc_file_time > $mod_parent_file_time ? $mod_cache_inc_file_time : $mod_parent_file_time; // get the latest
    $mod_time = $mod_file_time > $mod_db_time ? $mod_file_time : $mod_db_time; 
    $mod_gmt = gmdate('D, d M Y H:i:s', $mod_time) . ' GMT'; // convert to GMT format 
    // if it is same with "if_modified_since" from request header, stop output 
    if (isset($_SERVER['HTTP_IF_MODIFIED_SINCE'])) {
        $if_modified_since = preg_replace('/;.*$/', '', $_SERVER['HTTP_IF_MODIFIED_SINCE']); 
        if ($if_modified_since == $mod_gmt) { 
            header("{$_SERVER['SERVER_PROTOCOL']} 304 Not Modified"); 
            ob_end_clean(); 
            exit; 
        }
    }
    header("Last-Modified: " . $mod_gmt);
    header("Cache-Control: no-cache");
    header("Pragma: no-cache");
} else { 
    header("Expires: Tue, 24 Jan 1984 06:00:00 GMT"); 
    header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); 
    header("Cache-Control: no-store, no-cache, must-revalidate"); 
    header("Cache-Control: post-check=0, pre-check=0", false); 
    header("Pragma: no-cache");
}
switch ($xml_version) {
    case '1.1':
        $content_type = 'application/xhtml+xml';
        break;
    default :
        $content_type = 'text/html';
        break;       
};
header('Content-Type: ' . $content_type . '; charset='.$charset);

//header("Content-Type: text/html; charset=".$charset);
//header("Content-Type: application/xhtml+xml; charset=".$charset);
// ------------------------------------------------------------------  FOR DEBUG -----------------------------------------------------------------------------------------
// header('$request_uri:'.$request_uri);
// header('$rootpath+$top_page:'.'http://' . $_SERVER["HTTP_HOST"] . $root_path . $top_page);
// header('$mod_db_time:'.gmdate('D, d M Y H:i:s', $mod_db_time).' GMT');
// header('$mod_parent_file_time:'.gmdate('D, d M Y H:i:s', $mod_parent_file_time).' GMT');
// header("SCRIPT_FILENAME: " . $_SERVER['SCRIPT_FILENAME']);
// ------------------------------------------------------------------  FOR DEBUG -----------------------------------------------------------------------------------------


/**
 * Check User Agent and Apply CSS
 */
if (preg_match("/rv:1/", $_SERVER['HTTP_USER_AGENT'])) {
    $form_length = '18';
    $text_cols   = '55';
    if (file_exists("{$cd}/styles/{$style_num}/gecko_style.css")) {
        $style = 'gecko_style';
    } else {
        $style = 'default';
    }
} elseif (preg_match("/MSIE/", $_SERVER['HTTP_USER_AGENT'])) {
    if (preg_match("/Mac_PowerPC/", $_SERVER['HTTP_USER_AGENT'])) {
        $form_length = '20';
        $text_cols   = '65';
        if (file_exists("{$cd}/styles/{$style_num}/mac_ie_style.css")) {
            $style = 'mac_ie_style';
        } else {
            $style = 'default';
        }
    } elseif (preg_match("/Windows/", $_SERVER['HTTP_USER_AGENT'])) {
        $form_length = '20';
        $text_cols   = '65';
        if (file_exists("{$cd}/styles/{$style_num}/win_ie_style.css")) {
            $style = 'win_ie_style';
        } else {
            $style = 'default';
        }
    }
} elseif (preg_match("/KHTML/", $_SERVER['HTTP_USER_AGENT'])) {
    $form_length = '18';
    $text_cols   = '65';
    if (file_exists("{$cd}/styles/{$style_num}/khtml_style.css")) {
         $style = 'khtml_style';
    } else {
         $style = 'default';
    }
} else {
    $form_length = '18';
    $text_cols   = '55';
    $style       = 'default';
}


/**
 * Set Language
 */
if (isset($xml_lang)) {
    if ($xml_lang == 'ja') {
        require_once("{$cd}/lang/japanese.inc.php");
    } elseif ($xml_lang == 'en') {
        require_once("{$cd}/lang/english.inc.php");
    } elseif ($xml_lang == 'it') {
        require_once("{$cd}/lang/italian.inc.php");
    } else {
        require_once("{$cd}/lang/english.inc.php"); //default language
    }
}

?>