<?php
/**
 * LOCALIZABLE STRINGS - English
 *
 * $Id: lang/english.inc.php, 2004/03/25 19:11:27 Exp $
 */

//====================
// INDEX PAGE
//====================
$lang['prev_logs']   = 'Previous Logs';
$lang['by_date']     = 'By Date';
$lang['by_category'] = 'By Category';

//====================
// FORMS
//====================
// Shared
$lang['go']          = ' Go ';
$lang['clear']       = 'Clear';
$lang['archives']    = 'Archives';
$lang['all']         = 'All';

// Search Form
$lang['title']       = 'Title';
$lang['category']    = 'Category';
$lang['comment']     = 'Comment';
$lang['uri']         = 'URI';
$lang['date']        = 'Date';
$lang['advanced_search'] = 'Advanced Search';

$lang['search_field']        = 'Search Field';
$lang['select_search_field'] = 'Select the search field';
$lang['enter_keywords']      = 'Enter the keyword and hit the return key.';
$lang['too_short_keyword']   = 'Too short keyword. Please enter more than 2 bytes.';
$lang['show_archives']       = 'View archives by month.';
$lang['all_words']    = 'with all of the words';
$lang['at_least_one'] = 'with at least one of the words';
$lang['case']         = 'Case';
$lang['insensitive']  = 'Insensitive';
$lang['sensitive']    = 'Sensitive';
$lang['between']    = 'Between';
$lang['and']        = '&nbsp;and&nbsp;';

// CSS Switcher
$lang['switch_css']  = 'Switch CSS';
$lang['css_off']     = 'Off';

// Upload
$lang['file_name']   = 'File Name';
$lang['file_type']   = 'File Type';
$lang['file_size']   = 'File Size';
$lang['temp_name']   = 'Temp File Name';
$lang['error_msg']   = 'Error';
$lang['upload_ok']   = 'Upload : OK';
$lang['no_files_added'] = 'Uploaded File : None';
$lang['resource_dir'] = 'Resource Directory';

// Show data
$lang['no_posts']    = 'Currently no posts.';
$lang['no_files']    = 'Currently no files.';
$lang['recent']      = ' Recent ';
$lang['previous']    = ' Previous ';
$lang['logs']        = ' Logs.';
$lang['files']       = ' Files.';
$lang['post']        = 'Post';
$lang['mod']         = 'Modified';
$lang['log']         = 'Log';
$lang['showing']     = 'Showing : ';

// Search Results
$lang['all_data']    = 'ALL LOGS';
$lang['keyword']     = 'Keyword';
$lang['hit_msg']     = 'logs&nbsp;&nbsp;&nbsp;Showing :';
$lang['show_log']    = ' logs. Showing :';
$lang['uri_hit']     = 'Searched : <span class="search-res">URI</span>&nbsp;&nbsp;&nbsp;Hit：';
$lang['categ_hit']   = 'Searched : <span class="search-res">Category</span>&nbsp;&nbsp;&nbsp;Hit：';
$lang['categ_list']  = 'Entries in this category : ';
$lang['comment_hit'] = 'Searched : <span class="search-res">Comment</span>&nbsp;&nbsp;&nbsp;Hit：';
$lang['title_hit']   = 'Searched : <span class="search-res">Title</span>&nbsp;&nbsp;Hit：';
$lang['title_comment_hit'] = 'Searched : <span class="search-res">Title</span> &amp; <span class="search-res">Comment</span>&nbsp;&nbsp;Hit：';
$lang['binname_hit'] = 'Searched : <span class="search-res">File Name</span>&nbsp;&nbsp;&nbsp;Hit：';
$lang['bintype_hit'] = 'Searched : <span class="search-res">File Type</span>&nbsp;&nbsp;&nbsp;Hit：';
$lang['bintype_list']= 'Entries in this file type : ';
$lang['by_month']    = 'Month';
$lang['no_matches']  = 'No Data Matches.';
$lang['search']      = 'Search';
$lang['status_idle'] = 'Status : idle...';
$lang['prev']        = 'Prev';
$lang['next']        = 'Next';

$lang['log_uri']     = 'URI Of This Article';
$lang['flip_pages']  = 'Flip Pages';
$lang['flip']        = 'Flip';

//================================
// ADMIN MODE
//================================
$lang['admin']           = 'ADMIN MODE';
$lang['analyze']         = 'Access Analyze';
$lang['edit']            = 'EDIT';
$lang['select_mode']     = 'Select Mode';
$lang['user_name']       = 'User Name';
$lang['user_pass']       = 'User Pass';
$lang['login']           = 'Log in';
$lang['logout']          = 'LOG OUT';
$lang['login_user']      = 'LOGIN USER';
$lang['date_and_time']   = 'Date &amp; Time';
$lang['use_custom_date'] = 'Use this date &amp; time';
$lang['add_new']         = 'NEW POST';
$lang['mod_del']         = 'Modify or Delete';
$lang['send_file']       = 'Upload File';
$lang['update_bin']      = 'Modify Binary Info';
$lang['binary']          = 'Binary';
$lang['no_update_timestamp'] = 'Don\'t update modified date';
$lang['post_log']        = 'Post this log';
$lang['post_file']       = 'Post this file';
$lang['preview']         = 'Preview';
$lang['publish']         = 'Publish';
$lang['published']       = 'This article has been published.';
$lang['file_published']  = 'This file has been published.';
$lang['draft']           = 'Draft';
$lang['draft_list']      = 'DRAFT LIST';
$lang['draft_update']    = 'Update this draft';
$lang['draft_destroy']   = 'Destroy this draft';
$lang['use_draft_time']  = 'Use draft time as post time';
$lang['draft_mod_del']   = 'Modfy or Destroy Draft';
// Root Mode
$lang['create_accounts'] = 'CREATE A NEW ACCOUNT';

$lang['account_manager']     = 'ACCOUNT MANAGER LOG IN';
$lang['root_user_only']      = 'ROOT USER ONLY';
$lang['enter_mysql_account'] = 'Enter MySQL Account';
$lang['login_success']       = 'LOG IN SUCCESS';
$lang['user_list']           = 'See Users List';
$lang['regist_date']         = 'Registered';
$lang['new_user_account']    = 'New User Account';
$lang['invalid_name']        = 'Invalid User Name';
$lang['invalid_name_msg']    = 'Your user name formart is invalid';
$lang['invalid_pass']        = 'Invalid Password';
$lang['invalid_pass_msg']    = 'Your password format is invaid';
$lang['invalid_email']       = 'Invalid Email';
$lang['invalid_email_msg']   = 'Your Email address format is invalid.';
$lang['no_emal_host_msg']    = 'No E-Mail host out there.';
$lang['create']              = 'Create';
$lang['new_user_created']    = 'NEW USER CREATED';
$lang['new_user_created_success'] = 'New Account has been created successfully.';
$lang['update_user_account'] = 'UPDATE A USER ACCOUNT';
$lang['enter_a_new_pass']    = 'Enter a new password';
$lang['save']                = 'SAVE';
$lang['account_updated']     = 'ACCOUNT UPDATED';
$lang['account_updated_msg'] = 'Account infomation has been updated successfully.';
$lang['account_deleted']     = 'ACCOUNT UPDATED';
$lang['account_deleted_msg'] = 'Account infomation has been deleted successfully.';

// User Auth Error Message
$lang['wrong_user']  = 'Wrong User.';
$lang['bad_req']     = 'Bad request.';
$lang['please']      = ',&nbsp;Please.';

$lang['no_title']    = 'No Title or something.';
$lang['no_f_name']   = 'No file name or something.';
$lang['no_uri']      = 'No URI or something.';
$lang['no_category'] = 'No Category or something.';
$lang['no_comment']  = 'No Comment or something.';

$lang['no_id']       = 'No ID.';
$lang['cant_find']   = 'Can not find the data';
$lang['log_added']   = 'New Log Added.';
$lang['updated']     = ' has been UPDATED.';
$lang['deleted']     = ' has been DELETED.';
$lang['del_failed']  = 'NO DATA DELETED.';

$lang['check']       = 'Check';
$lang['check_index'] = 'Check Index Page';
$lang['file']        = 'File';
$lang['update']      = 'UPDATE';
$lang['delete']      = 'DELETE';
$lang['send_img']    = 'Upload images or files to';
$lang['none']        = 'None';

//================================
// System
//================================
$lang['sys_env']     = 'System Environment';
$lang['db_info']     = 'DB Info';
$lang['db_name']     = 'Connected DB';
$lang['log_entry']   = 'Log entries';
$lang['file_entry']  = 'Binary file entries';
$lang['ui_info']     = 'UI Info';
$lang['css_cookie']  = 'CSS Swithcer cookie expires';
$lang['info']        = 'Info';
$lang['manuals']     = 'Manuals';

$lang['system_admin']    = 'System Admin';
$lang['db_table_status'] = 'DB Table Status';
$lang['optimized_msg_1'] = 'Table &quot;';
$lang['optimized_msg_2'] = '&quot; has been optimized.';

$lang['table_name']    = 'Table Name';
$lang['records']       = 'Records';
$lang['size']          = 'Size';
$lang['overhead']      = 'Overhead'; 
$lang['optimize']      = 'Optimize';
$lang['select_all']    = 'Select All';
$lang['select_off']    = 'Off';
$lang['backup']        = 'Backup';
$lang['choose_table']  = 'Please choose the tables to optimize';

//================================
// Access Analyzer
//================================
$lang['year']          = 'Year';
$lang['month']         = 'Month';
$lang['day']           = 'Day';
$lang['total']         = 'Total';
$lang['hits_per_hour'] = 'HITS PER HOUR';
$lang['remote_host']   = 'REMOTE HOST';
$lang['user_agent']    = 'USER AGENT';
$lang['referer']       = 'REFERER';
$lang['daily']         = 'LAST 1 MONTH HITS';
$lang['monthly']       = 'MONTHLY HITS';
$lang['yearly']        = 'YEARLY HITS';
$lang['downloads']     = 'DOWNLOADS';
$lang['del_all_logs']  = 'DELETE ALL LOGS';
$lang['logs_deleted']  = 'ALL LOGS DELETED.';
$lang['magic_words']   = 'Magic Words';

//================================
// Forum
//================================
$lang['forum']         = 'Forum';
$lang['forum_admin']   = 'Forum Admin';
$lang['topic_list']    = 'Topic List';
$lang['topic']         = 'Topic';
$lang['thread']        = 'Thread';
$lang['reply']         = 'Reply';
$lang['back_to_topic'] = 'Back To Topic';
$lang['name']          = 'Name';
$lang['posted_by']     = 'Posted By';
$lang['private']       = 'Private';
$lang['optional']      = 'Optional';
$lang['last_modified'] = 'Last Modified';
$lang['topics']        = 'topics. ';
$lang['comments']      = 'comments. ';
$lang['comment_added'] = 'Your Comment Added';
$lang['replied']       = 'Replied';
$lang['quote']         = 'quote';
$lang['no_tbl_msg']    = 'No tables to run forum system';
$lang['install_or_update_msg']    = 'Please execute INSTALL or UPDATE';
$lang['install']       = 'INSTALL';
$lang['update']        = 'UPDATE';

if (stristr($_SERVER['PHP_SELF'], ".inc.php")){
	die("hello, world! :-p");
}
?>